/*
 * Descriptions for errors generated from
 * [MS-ERREF] http://msdn.microsoft.com/en-us/library/cc704588.aspx
 */

#ifndef _NTSTATUS_GEN_H
#define _NTSTATUS_GEN_H
#define NT_STATUS_OK NT_STATUS(0x0)
#define NT_STATUS_SUCCESS NT_STATUS(0x0)
#define NT_STATUS_WAIT_0 NT_STATUS(0x0)
#define NT_STATUS_WAIT_1 NT_STATUS(0x1)
#define NT_STATUS_WAIT_2 NT_STATUS(0x2)
#define NT_STATUS_WAIT_3 NT_STATUS(0x3)
#define NT_STATUS_WAIT_63 NT_STATUS(0x3f)
#define NT_STATUS_ABANDONED NT_STATUS(0x80)
#define NT_STATUS_ABANDONED_WAIT_0 NT_STATUS(0x80)
#define NT_STATUS_ABANDONED_WAIT_63 NT_STATUS(0xbf)
#define NT_STATUS_USER_APC NT_STATUS(0xc0)
#define NT_STATUS_ALERTED NT_STATUS(0x101)
#define NT_STATUS_TIMEOUT NT_STATUS(0x102)
#define NT_STATUS_PENDING NT_STATUS(0x103)
#define NT_STATUS_REPARSE NT_STATUS(0x104)
#define NT_STATUS_MORE_ENTRIES NT_STATUS(0x105)
#define NT_STATUS_NOT_ALL_ASSIGNED NT_STATUS(0x106)
#define NT_STATUS_SOME_NOT_MAPPED NT_STATUS(0x107)
#define NT_STATUS_OPLOCK_BREAK_IN_PROGRESS NT_STATUS(0x108)
#define NT_STATUS_VOLUME_MOUNTED NT_STATUS(0x109)
#define NT_STATUS_RXACT_COMMITTED NT_STATUS(0x10a)
#define NT_STATUS_NOTIFY_CLEANUP NT_STATUS(0x10b)
#define NT_STATUS_NOTIFY_ENUM_DIR NT_STATUS(0x10c)
#define NT_STATUS_NO_QUOTAS_FOR_ACCOUNT NT_STATUS(0x10d)
#define NT_STATUS_PRIMARY_TRANSPORT_CONNECT_FAILED NT_STATUS(0x10e)
#define NT_STATUS_PAGE_FAULT_TRANSITION NT_STATUS(0x110)
#define NT_STATUS_PAGE_FAULT_DEMAND_ZERO NT_STATUS(0x111)
#define NT_STATUS_PAGE_FAULT_COPY_ON_WRITE NT_STATUS(0x112)
#define NT_STATUS_PAGE_FAULT_GUARD_PAGE NT_STATUS(0x113)
#define NT_STATUS_PAGE_FAULT_PAGING_FILE NT_STATUS(0x114)
#define NT_STATUS_CACHE_PAGE_LOCKED NT_STATUS(0x115)
#define NT_STATUS_CRASH_DUMP NT_STATUS(0x116)
#define NT_STATUS_BUFFER_ALL_ZEROS NT_STATUS(0x117)
#define NT_STATUS_REPARSE_OBJECT NT_STATUS(0x118)
#define NT_STATUS_RESOURCE_REQUIREMENTS_CHANGED NT_STATUS(0x119)
#define NT_STATUS_TRANSLATION_COMPLETE NT_STATUS(0x120)
#define NT_STATUS_DS_MEMBERSHIP_EVALUATED_LOCALLY NT_STATUS(0x121)
#define NT_STATUS_NOTHING_TO_TERMINATE NT_STATUS(0x122)
#define NT_STATUS_PROCESS_NOT_IN_JOB NT_STATUS(0x123)
#define NT_STATUS_PROCESS_IN_JOB NT_STATUS(0x124)
#define NT_STATUS_VOLSNAP_HIBERNATE_READY NT_STATUS(0x125)
#define NT_STATUS_FSFILTER_OP_COMPLETED_SUCCESSFULLY NT_STATUS(0x126)
#define NT_STATUS_INTERRUPT_VECTOR_ALREADY_CONNECTED NT_STATUS(0x127)
#define NT_STATUS_INTERRUPT_STILL_CONNECTED NT_STATUS(0x128)
#define NT_STATUS_PROCESS_CLONED NT_STATUS(0x129)
#define NT_STATUS_FILE_LOCKED_WITH_ONLY_READERS NT_STATUS(0x12a)
#define NT_STATUS_FILE_LOCKED_WITH_WRITERS NT_STATUS(0x12b)
#define NT_STATUS_RESOURCEMANAGER_READ_ONLY NT_STATUS(0x202)
#define NT_STATUS_WAIT_FOR_OPLOCK NT_STATUS(0x367)
#define NT_STATUS_DBG_EXCEPTION_HANDLED NT_STATUS(0x10001)
#define NT_STATUS_DBG_CONTINUE NT_STATUS(0x10002)
#define NT_STATUS_FLT_IO_COMPLETE NT_STATUS(0x1c0001)
#define NT_STATUS_FILE_NOT_AVAILABLE NT_STATUS(0xc0000467)
#define NT_STATUS_SHARE_UNAVAILABLE NT_STATUS(0xc0000480)
#define NT_STATUS_CALLBACK_RETURNED_THREAD_AFFINITY NT_STATUS(0xc0000721)
#define NT_STATUS_OBJECT_NAME_EXISTS NT_STATUS(0x40000000)
#define NT_STATUS_THREAD_WAS_SUSPENDED NT_STATUS(0x40000001)
#define NT_STATUS_WORKING_SET_LIMIT_RANGE NT_STATUS(0x40000002)
#define NT_STATUS_IMAGE_NOT_AT_BASE NT_STATUS(0x40000003)
#define NT_STATUS_RXACT_STATE_CREATED NT_STATUS(0x40000004)
#define NT_STATUS_SEGMENT_NOTIFICATION NT_STATUS(0x40000005)
#define NT_STATUS_LOCAL_USER_SESSION_KEY NT_STATUS(0x40000006)
#define NT_STATUS_BAD_CURRENT_DIRECTORY NT_STATUS(0x40000007)
#define NT_STATUS_SERIAL_MORE_WRITES NT_STATUS(0x40000008)
#define NT_STATUS_REGISTRY_RECOVERED NT_STATUS(0x40000009)
#define NT_STATUS_FT_READ_RECOVERY_FROM_BACKUP NT_STATUS(0x4000000a)
#define NT_STATUS_FT_WRITE_RECOVERY NT_STATUS(0x4000000b)
#define NT_STATUS_SERIAL_COUNTER_TIMEOUT NT_STATUS(0x4000000c)
#define NT_STATUS_NULL_LM_PASSWORD NT_STATUS(0x4000000d)
#define NT_STATUS_IMAGE_MACHINE_TYPE_MISMATCH NT_STATUS(0x4000000e)
#define NT_STATUS_RECEIVE_PARTIAL NT_STATUS(0x4000000f)
#define NT_STATUS_RECEIVE_EXPEDITED NT_STATUS(0x40000010)
#define NT_STATUS_RECEIVE_PARTIAL_EXPEDITED NT_STATUS(0x40000011)
#define NT_STATUS_EVENT_DONE NT_STATUS(0x40000012)
#define NT_STATUS_EVENT_PENDING NT_STATUS(0x40000013)
#define NT_STATUS_CHECKING_FILE_SYSTEM NT_STATUS(0x40000014)
#define NT_STATUS_FATAL_APP_EXIT NT_STATUS(0x40000015)
#define NT_STATUS_PREDEFINED_HANDLE NT_STATUS(0x40000016)
#define NT_STATUS_WAS_UNLOCKED NT_STATUS(0x40000017)
#define NT_STATUS_SERVICE_NOTIFICATION NT_STATUS(0x40000018)
#define NT_STATUS_WAS_LOCKED NT_STATUS(0x40000019)
#define NT_STATUS_LOG_HARD_ERROR NT_STATUS(0x4000001a)
#define NT_STATUS_ALREADY_WIN32 NT_STATUS(0x4000001b)
#define NT_STATUS_WX86_UNSIMULATE NT_STATUS(0x4000001c)
#define NT_STATUS_WX86_CONTINUE NT_STATUS(0x4000001d)
#define NT_STATUS_WX86_SINGLE_STEP NT_STATUS(0x4000001e)
#define NT_STATUS_WX86_BREAKPOINT NT_STATUS(0x4000001f)
#define NT_STATUS_WX86_EXCEPTION_CONTINUE NT_STATUS(0x40000020)
#define NT_STATUS_WX86_EXCEPTION_LASTCHANCE NT_STATUS(0x40000021)
#define NT_STATUS_WX86_EXCEPTION_CHAIN NT_STATUS(0x40000022)
#define NT_STATUS_IMAGE_MACHINE_TYPE_MISMATCH_EXE NT_STATUS(0x40000023)
#define NT_STATUS_NO_YIELD_PERFORMED NT_STATUS(0x40000024)
#define NT_STATUS_TIMER_RESUME_IGNORED NT_STATUS(0x40000025)
#define NT_STATUS_ARBITRATION_UNHANDLED NT_STATUS(0x40000026)
#define NT_STATUS_CARDBUS_NOT_SUPPORTED NT_STATUS(0x40000027)
#define NT_STATUS_WX86_CREATEWX86TIB NT_STATUS(0x40000028)
#define NT_STATUS_MP_PROCESSOR_MISMATCH NT_STATUS(0x40000029)
#define NT_STATUS_HIBERNATED NT_STATUS(0x4000002a)
#define NT_STATUS_RESUME_HIBERNATION NT_STATUS(0x4000002b)
#define NT_STATUS_FIRMWARE_UPDATED NT_STATUS(0x4000002c)
#define NT_STATUS_DRIVERS_LEAKING_LOCKED_PAGES NT_STATUS(0x4000002d)
#define NT_STATUS_MESSAGE_RETRIEVED NT_STATUS(0x4000002e)
#define NT_STATUS_SYSTEM_POWERSTATE_TRANSITION NT_STATUS(0x4000002f)
#define NT_STATUS_ALPC_CHECK_COMPLETION_LIST NT_STATUS(0x40000030)
#define NT_STATUS_SYSTEM_POWERSTATE_COMPLEX_TRANSITION NT_STATUS(0x40000031)
#define NT_STATUS_ACCESS_AUDIT_BY_POLICY NT_STATUS(0x40000032)
#define NT_STATUS_ABANDON_HIBERFILE NT_STATUS(0x40000033)
#define NT_STATUS_BIZRULES_NOT_ENABLED NT_STATUS(0x40000034)
#define NT_STATUS_WAKE_SYSTEM NT_STATUS(0x40000294)
#define NT_STATUS_DS_SHUTTING_DOWN NT_STATUS(0x40000370)
#define NT_STATUS_DBG_REPLY_LATER NT_STATUS(0x40010001)
#define NT_STATUS_DBG_UNABLE_TO_PROVIDE_HANDLE NT_STATUS(0x40010002)
#define NT_STATUS_DBG_TERMINATE_THREAD NT_STATUS(0x40010003)
#define NT_STATUS_DBG_TERMINATE_PROCESS NT_STATUS(0x40010004)
#define NT_STATUS_DBG_CONTROL_C NT_STATUS(0x40010005)
#define NT_STATUS_DBG_PRINTEXCEPTION_C NT_STATUS(0x40010006)
#define NT_STATUS_DBG_RIPEXCEPTION NT_STATUS(0x40010007)
#define NT_STATUS_DBG_CONTROL_BREAK NT_STATUS(0x40010008)
#define NT_STATUS_DBG_COMMAND_EXCEPTION NT_STATUS(0x40010009)
#define NT_STATUS_RPC_UUID_LOCAL_ONLY NT_STATUS(0x40020056)
#define NT_STATUS_RPC_SEND_INCOMPLETE NT_STATUS(0x400200af)
#define NT_STATUS_CTX_CDM_CONNECT NT_STATUS(0x400a0004)
#define NT_STATUS_CTX_CDM_DISCONNECT NT_STATUS(0x400a0005)
#define NT_STATUS_SXS_RELEASE_ACTIVATION_CONTEXT NT_STATUS(0x4015000d)
#define NT_STATUS_RECOVERY_NOT_NEEDED NT_STATUS(0x40190034)
#define NT_STATUS_RM_ALREADY_STARTED NT_STATUS(0x40190035)
#define NT_STATUS_LOG_NO_RESTART NT_STATUS(0x401a000c)
#define NT_STATUS_VIDEO_DRIVER_DEBUG_REPORT_REQUEST NT_STATUS(0x401b00ec)
#define NT_STATUS_GRAPHICS_PARTIAL_DATA_POPULATED NT_STATUS(0x401e000a)
#define NT_STATUS_GRAPHICS_DRIVER_MISMATCH NT_STATUS(0x401e0117)
#define NT_STATUS_GRAPHICS_MODE_NOT_PINNED NT_STATUS(0x401e0307)
#define NT_STATUS_GRAPHICS_NO_PREFERRED_MODE NT_STATUS(0x401e031e)
#define NT_STATUS_GRAPHICS_DATASET_IS_EMPTY NT_STATUS(0x401e034b)
#define NT_STATUS_GRAPHICS_NO_MORE_ELEMENTS_IN_DATASET NT_STATUS(0x401e034c)
#define NT_STATUS_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_PINNED NT_STATUS(0x401e0351)
#define NT_STATUS_GRAPHICS_UNKNOWN_CHILD_STATUS NT_STATUS(0x401e042f)
#define NT_STATUS_GRAPHICS_LEADLINK_START_DEFERRED NT_STATUS(0x401e0437)
#define NT_STATUS_GRAPHICS_POLLING_TOO_FREQUENTLY NT_STATUS(0x401e0439)
#define NT_STATUS_GRAPHICS_START_DEFERRED NT_STATUS(0x401e043a)
#define NT_STATUS_NDIS_INDICATION_REQUIRED NT_STATUS(0x40230001)
#define NT_STATUS_GUARD_PAGE_VIOLATION NT_STATUS(0x80000001)
#define NT_STATUS_DATATYPE_MISALIGNMENT NT_STATUS(0x80000002)
#define NT_STATUS_BREAKPOINT NT_STATUS(0x80000003)
#define NT_STATUS_SINGLE_STEP NT_STATUS(0x80000004)
#define NT_STATUS_BUFFER_OVERFLOW NT_STATUS(0x80000005)
#define NT_STATUS_NO_MORE_FILES NT_STATUS(0x80000006)
#define NT_STATUS_WAKE_SYSTEM_DEBUGGER NT_STATUS(0x80000007)
#define NT_STATUS_HANDLES_CLOSED NT_STATUS(0x8000000a)
#define NT_STATUS_NO_INHERITANCE NT_STATUS(0x8000000b)
#define NT_STATUS_GUID_SUBSTITUTION_MADE NT_STATUS(0x8000000c)
#define NT_STATUS_PARTIAL_COPY NT_STATUS(0x8000000d)
#define NT_STATUS_DEVICE_PAPER_EMPTY NT_STATUS(0x8000000e)
#define NT_STATUS_DEVICE_POWERED_OFF NT_STATUS(0x8000000f)
#define NT_STATUS_DEVICE_OFF_LINE NT_STATUS(0x80000010)
#define NT_STATUS_DEVICE_BUSY NT_STATUS(0x80000011)
#define NT_STATUS_NO_MORE_EAS NT_STATUS(0x80000012)
#define NT_STATUS_INVALID_EA_NAME NT_STATUS(0x80000013)
#define NT_STATUS_EA_LIST_INCONSISTENT NT_STATUS(0x80000014)
#define NT_STATUS_INVALID_EA_FLAG NT_STATUS(0x80000015)
#define NT_STATUS_VERIFY_REQUIRED NT_STATUS(0x80000016)
#define NT_STATUS_EXTRANEOUS_INFORMATION NT_STATUS(0x80000017)
#define NT_STATUS_RXACT_COMMIT_NECESSARY NT_STATUS(0x80000018)
#define NT_STATUS_NO_MORE_ENTRIES NT_STATUS(0x8000001a)
#define NT_STATUS_FILEMARK_DETECTED NT_STATUS(0x8000001b)
#define NT_STATUS_MEDIA_CHANGED NT_STATUS(0x8000001c)
#define NT_STATUS_BUS_RESET NT_STATUS(0x8000001d)
#define NT_STATUS_END_OF_MEDIA NT_STATUS(0x8000001e)
#define NT_STATUS_BEGINNING_OF_MEDIA NT_STATUS(0x8000001f)
#define NT_STATUS_MEDIA_CHECK NT_STATUS(0x80000020)
#define NT_STATUS_SETMARK_DETECTED NT_STATUS(0x80000021)
#define NT_STATUS_NO_DATA_DETECTED NT_STATUS(0x80000022)
#define NT_STATUS_REDIRECTOR_HAS_OPEN_HANDLES NT_STATUS(0x80000023)
#define NT_STATUS_SERVER_HAS_OPEN_HANDLES NT_STATUS(0x80000024)
#define NT_STATUS_ALREADY_DISCONNECTED NT_STATUS(0x80000025)
#define NT_STATUS_LONGJUMP NT_STATUS(0x80000026)
#define NT_STATUS_CLEANER_CARTRIDGE_INSTALLED NT_STATUS(0x80000027)
#define NT_STATUS_PLUGPLAY_QUERY_VETOED NT_STATUS(0x80000028)
#define NT_STATUS_UNWIND_CONSOLIDATE NT_STATUS(0x80000029)
#define NT_STATUS_REGISTRY_HIVE_RECOVERED NT_STATUS(0x8000002a)
#define NT_STATUS_DLL_MIGHT_BE_INSECURE NT_STATUS(0x8000002b)
#define NT_STATUS_DLL_MIGHT_BE_INCOMPATIBLE NT_STATUS(0x8000002c)
#define NT_STATUS_STOPPED_ON_SYMLINK NT_STATUS(0x8000002d)
#define NT_STATUS_DEVICE_REQUIRES_CLEANING NT_STATUS(0x80000288)
#define NT_STATUS_DEVICE_DOOR_OPEN NT_STATUS(0x80000289)
#define NT_STATUS_DATA_LOST_REPAIR NT_STATUS(0x80000803)
#define NT_STATUS_DBG_EXCEPTION_NOT_HANDLED NT_STATUS(0x80010001)
#define NT_STATUS_CLUSTER_NODE_ALREADY_UP NT_STATUS(0x80130001)
#define NT_STATUS_CLUSTER_NODE_ALREADY_DOWN NT_STATUS(0x80130002)
#define NT_STATUS_CLUSTER_NETWORK_ALREADY_ONLINE NT_STATUS(0x80130003)
#define NT_STATUS_CLUSTER_NETWORK_ALREADY_OFFLINE NT_STATUS(0x80130004)
#define NT_STATUS_CLUSTER_NODE_ALREADY_MEMBER NT_STATUS(0x80130005)
#define NT_STATUS_COULD_NOT_RESIZE_LOG NT_STATUS(0x80190009)
#define NT_STATUS_NO_TXF_METADATA NT_STATUS(0x80190029)
#define NT_STATUS_CANT_RECOVER_WITH_HANDLE_OPEN NT_STATUS(0x80190031)
#define NT_STATUS_TXF_METADATA_ALREADY_PRESENT NT_STATUS(0x80190041)
#define NT_STATUS_TRANSACTION_SCOPE_CALLBACKS_NOT_SET NT_STATUS(0x80190042)
#define NT_STATUS_VIDEO_HUNG_DISPLAY_DRIVER_THREAD_RECOVERED NT_STATUS(0x801b00eb)
#define NT_STATUS_FLT_BUFFER_TOO_SMALL NT_STATUS(0x801c0001)
#define NT_STATUS_FVE_PARTIAL_METADATA NT_STATUS(0x80210001)
#define NT_STATUS_FVE_TRANSIENT_STATE NT_STATUS(0x80210002)
#define NT_STATUS_UNSUCCESSFUL NT_STATUS(0xc0000001)
#define NT_STATUS_NOT_IMPLEMENTED NT_STATUS(0xc0000002)
#define NT_STATUS_INVALID_INFO_CLASS NT_STATUS(0xc0000003)
#define NT_STATUS_INFO_LENGTH_MISMATCH NT_STATUS(0xc0000004)
#define NT_STATUS_ACCESS_VIOLATION NT_STATUS(0xc0000005)
#define NT_STATUS_IN_PAGE_ERROR NT_STATUS(0xc0000006)
#define NT_STATUS_PAGEFILE_QUOTA NT_STATUS(0xc0000007)
#define NT_STATUS_INVALID_HANDLE NT_STATUS(0xc0000008)
#define NT_STATUS_BAD_INITIAL_STACK NT_STATUS(0xc0000009)
#define NT_STATUS_BAD_INITIAL_PC NT_STATUS(0xc000000a)
#define NT_STATUS_INVALID_CID NT_STATUS(0xc000000b)
#define NT_STATUS_TIMER_NOT_CANCELED NT_STATUS(0xc000000c)
#define NT_STATUS_INVALID_PARAMETER NT_STATUS(0xc000000d)
#define NT_STATUS_NO_SUCH_DEVICE NT_STATUS(0xc000000e)
#define NT_STATUS_NO_SUCH_FILE NT_STATUS(0xc000000f)
#define NT_STATUS_INVALID_DEVICE_REQUEST NT_STATUS(0xc0000010)
#define NT_STATUS_END_OF_FILE NT_STATUS(0xc0000011)
#define NT_STATUS_WRONG_VOLUME NT_STATUS(0xc0000012)
#define NT_STATUS_NO_MEDIA_IN_DEVICE NT_STATUS(0xc0000013)
#define NT_STATUS_UNRECOGNIZED_MEDIA NT_STATUS(0xc0000014)
#define NT_STATUS_NONEXISTENT_SECTOR NT_STATUS(0xc0000015)
#define NT_STATUS_MORE_PROCESSING_REQUIRED NT_STATUS(0xc0000016)
#define NT_STATUS_NO_MEMORY NT_STATUS(0xc0000017)
#define NT_STATUS_CONFLICTING_ADDRESSES NT_STATUS(0xc0000018)
#define NT_STATUS_NOT_MAPPED_VIEW NT_STATUS(0xc0000019)
#define NT_STATUS_UNABLE_TO_FREE_VM NT_STATUS(0xc000001a)
#define NT_STATUS_UNABLE_TO_DELETE_SECTION NT_STATUS(0xc000001b)
#define NT_STATUS_INVALID_SYSTEM_SERVICE NT_STATUS(0xc000001c)
#define NT_STATUS_ILLEGAL_INSTRUCTION NT_STATUS(0xc000001d)
#define NT_STATUS_INVALID_LOCK_SEQUENCE NT_STATUS(0xc000001e)
#define NT_STATUS_INVALID_VIEW_SIZE NT_STATUS(0xc000001f)
#define NT_STATUS_INVALID_FILE_FOR_SECTION NT_STATUS(0xc0000020)
#define NT_STATUS_ALREADY_COMMITTED NT_STATUS(0xc0000021)
#define NT_STATUS_ACCESS_DENIED NT_STATUS(0xc0000022)
#define NT_STATUS_BUFFER_TOO_SMALL NT_STATUS(0xc0000023)
#define NT_STATUS_OBJECT_TYPE_MISMATCH NT_STATUS(0xc0000024)
#define NT_STATUS_NONCONTINUABLE_EXCEPTION NT_STATUS(0xc0000025)
#define NT_STATUS_INVALID_DISPOSITION NT_STATUS(0xc0000026)
#define NT_STATUS_UNWIND NT_STATUS(0xc0000027)
#define NT_STATUS_BAD_STACK NT_STATUS(0xc0000028)
#define NT_STATUS_INVALID_UNWIND_TARGET NT_STATUS(0xc0000029)
#define NT_STATUS_NOT_LOCKED NT_STATUS(0xc000002a)
#define NT_STATUS_PARITY_ERROR NT_STATUS(0xc000002b)
#define NT_STATUS_UNABLE_TO_DECOMMIT_VM NT_STATUS(0xc000002c)
#define NT_STATUS_NOT_COMMITTED NT_STATUS(0xc000002d)
#define NT_STATUS_INVALID_PORT_ATTRIBUTES NT_STATUS(0xc000002e)
#define NT_STATUS_PORT_MESSAGE_TOO_LONG NT_STATUS(0xc000002f)
#define NT_STATUS_INVALID_PARAMETER_MIX NT_STATUS(0xc0000030)
#define NT_STATUS_INVALID_QUOTA_LOWER NT_STATUS(0xc0000031)
#define NT_STATUS_DISK_CORRUPT_ERROR NT_STATUS(0xc0000032)
#define NT_STATUS_OBJECT_NAME_INVALID NT_STATUS(0xc0000033)
#define NT_STATUS_OBJECT_NAME_NOT_FOUND NT_STATUS(0xc0000034)
#define NT_STATUS_OBJECT_NAME_COLLISION NT_STATUS(0xc0000035)
#define NT_STATUS_PORT_DISCONNECTED NT_STATUS(0xc0000037)
#define NT_STATUS_DEVICE_ALREADY_ATTACHED NT_STATUS(0xc0000038)
#define NT_STATUS_OBJECT_PATH_INVALID NT_STATUS(0xc0000039)
#define NT_STATUS_OBJECT_PATH_NOT_FOUND NT_STATUS(0xc000003a)
#define NT_STATUS_OBJECT_PATH_SYNTAX_BAD NT_STATUS(0xc000003b)
#define NT_STATUS_DATA_OVERRUN NT_STATUS(0xc000003c)
#define NT_STATUS_DATA_LATE_ERROR NT_STATUS(0xc000003d)
#define NT_STATUS_DATA_ERROR NT_STATUS(0xc000003e)
#define NT_STATUS_CRC_ERROR NT_STATUS(0xc000003f)
#define NT_STATUS_SECTION_TOO_BIG NT_STATUS(0xc0000040)
#define NT_STATUS_PORT_CONNECTION_REFUSED NT_STATUS(0xc0000041)
#define NT_STATUS_INVALID_PORT_HANDLE NT_STATUS(0xc0000042)
#define NT_STATUS_SHARING_VIOLATION NT_STATUS(0xc0000043)
#define NT_STATUS_QUOTA_EXCEEDED NT_STATUS(0xc0000044)
#define NT_STATUS_INVALID_PAGE_PROTECTION NT_STATUS(0xc0000045)
#define NT_STATUS_MUTANT_NOT_OWNED NT_STATUS(0xc0000046)
#define NT_STATUS_SEMAPHORE_LIMIT_EXCEEDED NT_STATUS(0xc0000047)
#define NT_STATUS_PORT_ALREADY_SET NT_STATUS(0xc0000048)
#define NT_STATUS_SECTION_NOT_IMAGE NT_STATUS(0xc0000049)
#define NT_STATUS_SUSPEND_COUNT_EXCEEDED NT_STATUS(0xc000004a)
#define NT_STATUS_THREAD_IS_TERMINATING NT_STATUS(0xc000004b)
#define NT_STATUS_BAD_WORKING_SET_LIMIT NT_STATUS(0xc000004c)
#define NT_STATUS_INCOMPATIBLE_FILE_MAP NT_STATUS(0xc000004d)
#define NT_STATUS_SECTION_PROTECTION NT_STATUS(0xc000004e)
#define NT_STATUS_EAS_NOT_SUPPORTED NT_STATUS(0xc000004f)
#define NT_STATUS_EA_TOO_LARGE NT_STATUS(0xc0000050)
#define NT_STATUS_NONEXISTENT_EA_ENTRY NT_STATUS(0xc0000051)
#define NT_STATUS_NO_EAS_ON_FILE NT_STATUS(0xc0000052)
#define NT_STATUS_EA_CORRUPT_ERROR NT_STATUS(0xc0000053)
#define NT_STATUS_FILE_LOCK_CONFLICT NT_STATUS(0xc0000054)
#define NT_STATUS_LOCK_NOT_GRANTED NT_STATUS(0xc0000055)
#define NT_STATUS_DELETE_PENDING NT_STATUS(0xc0000056)
#define NT_STATUS_CTL_FILE_NOT_SUPPORTED NT_STATUS(0xc0000057)
#define NT_STATUS_UNKNOWN_REVISION NT_STATUS(0xc0000058)
#define NT_STATUS_REVISION_MISMATCH NT_STATUS(0xc0000059)
#define NT_STATUS_INVALID_OWNER NT_STATUS(0xc000005a)
#define NT_STATUS_INVALID_PRIMARY_GROUP NT_STATUS(0xc000005b)
#define NT_STATUS_NO_IMPERSONATION_TOKEN NT_STATUS(0xc000005c)
#define NT_STATUS_CANT_DISABLE_MANDATORY NT_STATUS(0xc000005d)
#define NT_STATUS_NO_LOGON_SERVERS NT_STATUS(0xc000005e)
#define NT_STATUS_NO_SUCH_LOGON_SESSION NT_STATUS(0xc000005f)
#define NT_STATUS_NO_SUCH_PRIVILEGE NT_STATUS(0xc0000060)
#define NT_STATUS_PRIVILEGE_NOT_HELD NT_STATUS(0xc0000061)
#define NT_STATUS_INVALID_ACCOUNT_NAME NT_STATUS(0xc0000062)
#define NT_STATUS_USER_EXISTS NT_STATUS(0xc0000063)
#define NT_STATUS_NO_SUCH_USER NT_STATUS(0xc0000064)
#define NT_STATUS_GROUP_EXISTS NT_STATUS(0xc0000065)
#define NT_STATUS_NO_SUCH_GROUP NT_STATUS(0xc0000066)
#define NT_STATUS_MEMBER_IN_GROUP NT_STATUS(0xc0000067)
#define NT_STATUS_MEMBER_NOT_IN_GROUP NT_STATUS(0xc0000068)
#define NT_STATUS_LAST_ADMIN NT_STATUS(0xc0000069)
#define NT_STATUS_WRONG_PASSWORD NT_STATUS(0xc000006a)
#define NT_STATUS_ILL_FORMED_PASSWORD NT_STATUS(0xc000006b)
#define NT_STATUS_PASSWORD_RESTRICTION NT_STATUS(0xc000006c)
#define NT_STATUS_LOGON_FAILURE NT_STATUS(0xc000006d)
#define NT_STATUS_ACCOUNT_RESTRICTION NT_STATUS(0xc000006e)
#define NT_STATUS_INVALID_LOGON_HOURS NT_STATUS(0xc000006f)
#define NT_STATUS_INVALID_WORKSTATION NT_STATUS(0xc0000070)
#define NT_STATUS_PASSWORD_EXPIRED NT_STATUS(0xc0000071)
#define NT_STATUS_ACCOUNT_DISABLED NT_STATUS(0xc0000072)
#define NT_STATUS_NONE_MAPPED NT_STATUS(0xc0000073)
#define NT_STATUS_TOO_MANY_LUIDS_REQUESTED NT_STATUS(0xc0000074)
#define NT_STATUS_LUIDS_EXHAUSTED NT_STATUS(0xc0000075)
#define NT_STATUS_INVALID_SUB_AUTHORITY NT_STATUS(0xc0000076)
#define NT_STATUS_INVALID_ACL NT_STATUS(0xc0000077)
#define NT_STATUS_INVALID_SID NT_STATUS(0xc0000078)
#define NT_STATUS_INVALID_SECURITY_DESCR NT_STATUS(0xc0000079)
#define NT_STATUS_PROCEDURE_NOT_FOUND NT_STATUS(0xc000007a)
#define NT_STATUS_INVALID_IMAGE_FORMAT NT_STATUS(0xc000007b)
#define NT_STATUS_NO_TOKEN NT_STATUS(0xc000007c)
#define NT_STATUS_BAD_INHERITANCE_ACL NT_STATUS(0xc000007d)
#define NT_STATUS_RANGE_NOT_LOCKED NT_STATUS(0xc000007e)
#define NT_STATUS_DISK_FULL NT_STATUS(0xc000007f)
#define NT_STATUS_SERVER_DISABLED NT_STATUS(0xc0000080)
#define NT_STATUS_SERVER_NOT_DISABLED NT_STATUS(0xc0000081)
#define NT_STATUS_TOO_MANY_GUIDS_REQUESTED NT_STATUS(0xc0000082)
#define NT_STATUS_GUIDS_EXHAUSTED NT_STATUS(0xc0000083)
#define NT_STATUS_INVALID_ID_AUTHORITY NT_STATUS(0xc0000084)
#define NT_STATUS_AGENTS_EXHAUSTED NT_STATUS(0xc0000085)
#define NT_STATUS_INVALID_VOLUME_LABEL NT_STATUS(0xc0000086)
#define NT_STATUS_SECTION_NOT_EXTENDED NT_STATUS(0xc0000087)
#define NT_STATUS_NOT_MAPPED_DATA NT_STATUS(0xc0000088)
#define NT_STATUS_RESOURCE_DATA_NOT_FOUND NT_STATUS(0xc0000089)
#define NT_STATUS_RESOURCE_TYPE_NOT_FOUND NT_STATUS(0xc000008a)
#define NT_STATUS_RESOURCE_NAME_NOT_FOUND NT_STATUS(0xc000008b)
#define NT_STATUS_ARRAY_BOUNDS_EXCEEDED NT_STATUS(0xc000008c)
#define NT_STATUS_FLOAT_DENORMAL_OPERAND NT_STATUS(0xc000008d)
#define NT_STATUS_FLOAT_DIVIDE_BY_ZERO NT_STATUS(0xc000008e)
#define NT_STATUS_FLOAT_INEXACT_RESULT NT_STATUS(0xc000008f)
#define NT_STATUS_FLOAT_INVALID_OPERATION NT_STATUS(0xc0000090)
#define NT_STATUS_FLOAT_OVERFLOW NT_STATUS(0xc0000091)
#define NT_STATUS_FLOAT_STACK_CHECK NT_STATUS(0xc0000092)
#define NT_STATUS_FLOAT_UNDERFLOW NT_STATUS(0xc0000093)
#define NT_STATUS_INTEGER_DIVIDE_BY_ZERO NT_STATUS(0xc0000094)
#define NT_STATUS_INTEGER_OVERFLOW NT_STATUS(0xc0000095)
#define NT_STATUS_PRIVILEGED_INSTRUCTION NT_STATUS(0xc0000096)
#define NT_STATUS_TOO_MANY_PAGING_FILES NT_STATUS(0xc0000097)
#define NT_STATUS_FILE_INVALID NT_STATUS(0xc0000098)
#define NT_STATUS_ALLOTTED_SPACE_EXCEEDED NT_STATUS(0xc0000099)
#define NT_STATUS_INSUFFICIENT_RESOURCES NT_STATUS(0xc000009a)
#define NT_STATUS_DFS_EXIT_PATH_FOUND NT_STATUS(0xc000009b)
#define NT_STATUS_DEVICE_DATA_ERROR NT_STATUS(0xc000009c)
#define NT_STATUS_DEVICE_NOT_CONNECTED NT_STATUS(0xc000009d)
#define NT_STATUS_FREE_VM_NOT_AT_BASE NT_STATUS(0xc000009f)
#define NT_STATUS_MEMORY_NOT_ALLOCATED NT_STATUS(0xc00000a0)
#define NT_STATUS_WORKING_SET_QUOTA NT_STATUS(0xc00000a1)
#define NT_STATUS_MEDIA_WRITE_PROTECTED NT_STATUS(0xc00000a2)
#define NT_STATUS_DEVICE_NOT_READY NT_STATUS(0xc00000a3)
#define NT_STATUS_INVALID_GROUP_ATTRIBUTES NT_STATUS(0xc00000a4)
#define NT_STATUS_BAD_IMPERSONATION_LEVEL NT_STATUS(0xc00000a5)
#define NT_STATUS_CANT_OPEN_ANONYMOUS NT_STATUS(0xc00000a6)
#define NT_STATUS_BAD_VALIDATION_CLASS NT_STATUS(0xc00000a7)
#define NT_STATUS_BAD_TOKEN_TYPE NT_STATUS(0xc00000a8)
#define NT_STATUS_BAD_MASTER_BOOT_RECORD NT_STATUS(0xc00000a9)
#define NT_STATUS_INSTRUCTION_MISALIGNMENT NT_STATUS(0xc00000aa)
#define NT_STATUS_INSTANCE_NOT_AVAILABLE NT_STATUS(0xc00000ab)
#define NT_STATUS_PIPE_NOT_AVAILABLE NT_STATUS(0xc00000ac)
#define NT_STATUS_INVALID_PIPE_STATE NT_STATUS(0xc00000ad)
#define NT_STATUS_PIPE_BUSY NT_STATUS(0xc00000ae)
#define NT_STATUS_ILLEGAL_FUNCTION NT_STATUS(0xc00000af)
#define NT_STATUS_PIPE_DISCONNECTED NT_STATUS(0xc00000b0)
#define NT_STATUS_PIPE_CLOSING NT_STATUS(0xc00000b1)
#define NT_STATUS_PIPE_CONNECTED NT_STATUS(0xc00000b2)
#define NT_STATUS_PIPE_LISTENING NT_STATUS(0xc00000b3)
#define NT_STATUS_INVALID_READ_MODE NT_STATUS(0xc00000b4)
#define NT_STATUS_IO_TIMEOUT NT_STATUS(0xc00000b5)
#define NT_STATUS_FILE_FORCED_CLOSED NT_STATUS(0xc00000b6)
#define NT_STATUS_PROFILING_NOT_STARTED NT_STATUS(0xc00000b7)
#define NT_STATUS_PROFILING_NOT_STOPPED NT_STATUS(0xc00000b8)
#define NT_STATUS_COULD_NOT_INTERPRET NT_STATUS(0xc00000b9)
#define NT_STATUS_FILE_IS_A_DIRECTORY NT_STATUS(0xc00000ba)
#define NT_STATUS_NOT_SUPPORTED NT_STATUS(0xc00000bb)
#define NT_STATUS_REMOTE_NOT_LISTENING NT_STATUS(0xc00000bc)
#define NT_STATUS_DUPLICATE_NAME NT_STATUS(0xc00000bd)
#define NT_STATUS_BAD_NETWORK_PATH NT_STATUS(0xc00000be)
#define NT_STATUS_NETWORK_BUSY NT_STATUS(0xc00000bf)
#define NT_STATUS_DEVICE_DOES_NOT_EXIST NT_STATUS(0xc00000c0)
#define NT_STATUS_TOO_MANY_COMMANDS NT_STATUS(0xc00000c1)
#define NT_STATUS_ADAPTER_HARDWARE_ERROR NT_STATUS(0xc00000c2)
#define NT_STATUS_INVALID_NETWORK_RESPONSE NT_STATUS(0xc00000c3)
#define NT_STATUS_UNEXPECTED_NETWORK_ERROR NT_STATUS(0xc00000c4)
#define NT_STATUS_BAD_REMOTE_ADAPTER NT_STATUS(0xc00000c5)
#define NT_STATUS_PRINT_QUEUE_FULL NT_STATUS(0xc00000c6)
#define NT_STATUS_NO_SPOOL_SPACE NT_STATUS(0xc00000c7)
#define NT_STATUS_PRINT_CANCELLED NT_STATUS(0xc00000c8)
#define NT_STATUS_NETWORK_NAME_DELETED NT_STATUS(0xc00000c9)
#define NT_STATUS_NETWORK_ACCESS_DENIED NT_STATUS(0xc00000ca)
#define NT_STATUS_BAD_DEVICE_TYPE NT_STATUS(0xc00000cb)
#define NT_STATUS_BAD_NETWORK_NAME NT_STATUS(0xc00000cc)
#define NT_STATUS_TOO_MANY_NAMES NT_STATUS(0xc00000cd)
#define NT_STATUS_TOO_MANY_SESSIONS NT_STATUS(0xc00000ce)
#define NT_STATUS_SHARING_PAUSED NT_STATUS(0xc00000cf)
#define NT_STATUS_REQUEST_NOT_ACCEPTED NT_STATUS(0xc00000d0)
#define NT_STATUS_REDIRECTOR_PAUSED NT_STATUS(0xc00000d1)
#define NT_STATUS_NET_WRITE_FAULT NT_STATUS(0xc00000d2)
#define NT_STATUS_PROFILING_AT_LIMIT NT_STATUS(0xc00000d3)
#define NT_STATUS_NOT_SAME_DEVICE NT_STATUS(0xc00000d4)
#define NT_STATUS_FILE_RENAMED NT_STATUS(0xc00000d5)
#define NT_STATUS_VIRTUAL_CIRCUIT_CLOSED NT_STATUS(0xc00000d6)
#define NT_STATUS_NO_SECURITY_ON_OBJECT NT_STATUS(0xc00000d7)
#define NT_STATUS_CANT_WAIT NT_STATUS(0xc00000d8)
#define NT_STATUS_PIPE_EMPTY NT_STATUS(0xc00000d9)
#define NT_STATUS_CANT_ACCESS_DOMAIN_INFO NT_STATUS(0xc00000da)
#define NT_STATUS_CANT_TERMINATE_SELF NT_STATUS(0xc00000db)
#define NT_STATUS_INVALID_SERVER_STATE NT_STATUS(0xc00000dc)
#define NT_STATUS_INVALID_DOMAIN_STATE NT_STATUS(0xc00000dd)
#define NT_STATUS_INVALID_DOMAIN_ROLE NT_STATUS(0xc00000de)
#define NT_STATUS_NO_SUCH_DOMAIN NT_STATUS(0xc00000df)
#define NT_STATUS_DOMAIN_EXISTS NT_STATUS(0xc00000e0)
#define NT_STATUS_DOMAIN_LIMIT_EXCEEDED NT_STATUS(0xc00000e1)
#define NT_STATUS_OPLOCK_NOT_GRANTED NT_STATUS(0xc00000e2)
#define NT_STATUS_INVALID_OPLOCK_PROTOCOL NT_STATUS(0xc00000e3)
#define NT_STATUS_INTERNAL_DB_CORRUPTION NT_STATUS(0xc00000e4)
#define NT_STATUS_INTERNAL_ERROR NT_STATUS(0xc00000e5)
#define NT_STATUS_GENERIC_NOT_MAPPED NT_STATUS(0xc00000e6)
#define NT_STATUS_BAD_DESCRIPTOR_FORMAT NT_STATUS(0xc00000e7)
#define NT_STATUS_INVALID_USER_BUFFER NT_STATUS(0xc00000e8)
#define NT_STATUS_UNEXPECTED_IO_ERROR NT_STATUS(0xc00000e9)
#define NT_STATUS_UNEXPECTED_MM_CREATE_ERR NT_STATUS(0xc00000ea)
#define NT_STATUS_UNEXPECTED_MM_MAP_ERROR NT_STATUS(0xc00000eb)
#define NT_STATUS_UNEXPECTED_MM_EXTEND_ERR NT_STATUS(0xc00000ec)
#define NT_STATUS_NOT_LOGON_PROCESS NT_STATUS(0xc00000ed)
#define NT_STATUS_LOGON_SESSION_EXISTS NT_STATUS(0xc00000ee)
#define NT_STATUS_INVALID_PARAMETER_1 NT_STATUS(0xc00000ef)
#define NT_STATUS_INVALID_PARAMETER_2 NT_STATUS(0xc00000f0)
#define NT_STATUS_INVALID_PARAMETER_3 NT_STATUS(0xc00000f1)
#define NT_STATUS_INVALID_PARAMETER_4 NT_STATUS(0xc00000f2)
#define NT_STATUS_INVALID_PARAMETER_5 NT_STATUS(0xc00000f3)
#define NT_STATUS_INVALID_PARAMETER_6 NT_STATUS(0xc00000f4)
#define NT_STATUS_INVALID_PARAMETER_7 NT_STATUS(0xc00000f5)
#define NT_STATUS_INVALID_PARAMETER_8 NT_STATUS(0xc00000f6)
#define NT_STATUS_INVALID_PARAMETER_9 NT_STATUS(0xc00000f7)
#define NT_STATUS_INVALID_PARAMETER_10 NT_STATUS(0xc00000f8)
#define NT_STATUS_INVALID_PARAMETER_11 NT_STATUS(0xc00000f9)
#define NT_STATUS_INVALID_PARAMETER_12 NT_STATUS(0xc00000fa)
#define NT_STATUS_REDIRECTOR_NOT_STARTED NT_STATUS(0xc00000fb)
#define NT_STATUS_REDIRECTOR_STARTED NT_STATUS(0xc00000fc)
#define NT_STATUS_STACK_OVERFLOW NT_STATUS(0xc00000fd)
#define NT_STATUS_NO_SUCH_PACKAGE NT_STATUS(0xc00000fe)
#define NT_STATUS_BAD_FUNCTION_TABLE NT_STATUS(0xc00000ff)
#define NT_STATUS_VARIABLE_NOT_FOUND NT_STATUS(0xc0000100)
#define NT_STATUS_DIRECTORY_NOT_EMPTY NT_STATUS(0xc0000101)
#define NT_STATUS_FILE_CORRUPT_ERROR NT_STATUS(0xc0000102)
#define NT_STATUS_NOT_A_DIRECTORY NT_STATUS(0xc0000103)
#define NT_STATUS_BAD_LOGON_SESSION_STATE NT_STATUS(0xc0000104)
#define NT_STATUS_LOGON_SESSION_COLLISION NT_STATUS(0xc0000105)
#define NT_STATUS_NAME_TOO_LONG NT_STATUS(0xc0000106)
#define NT_STATUS_FILES_OPEN NT_STATUS(0xc0000107)
#define NT_STATUS_CONNECTION_IN_USE NT_STATUS(0xc0000108)
#define NT_STATUS_MESSAGE_NOT_FOUND NT_STATUS(0xc0000109)
#define NT_STATUS_PROCESS_IS_TERMINATING NT_STATUS(0xc000010a)
#define NT_STATUS_INVALID_LOGON_TYPE NT_STATUS(0xc000010b)
#define NT_STATUS_NO_GUID_TRANSLATION NT_STATUS(0xc000010c)
#define NT_STATUS_CANNOT_IMPERSONATE NT_STATUS(0xc000010d)
#define NT_STATUS_IMAGE_ALREADY_LOADED NT_STATUS(0xc000010e)
#define NT_STATUS_NO_LDT NT_STATUS(0xc0000117)
#define NT_STATUS_INVALID_LDT_SIZE NT_STATUS(0xc0000118)
#define NT_STATUS_INVALID_LDT_OFFSET NT_STATUS(0xc0000119)
#define NT_STATUS_INVALID_LDT_DESCRIPTOR NT_STATUS(0xc000011a)
#define NT_STATUS_INVALID_IMAGE_NE_FORMAT NT_STATUS(0xc000011b)
#define NT_STATUS_RXACT_INVALID_STATE NT_STATUS(0xc000011c)
#define NT_STATUS_RXACT_COMMIT_FAILURE NT_STATUS(0xc000011d)
#define NT_STATUS_MAPPED_FILE_SIZE_ZERO NT_STATUS(0xc000011e)
#define NT_STATUS_TOO_MANY_OPENED_FILES NT_STATUS(0xc000011f)
#define NT_STATUS_CANCELLED NT_STATUS(0xc0000120)
#define NT_STATUS_CANNOT_DELETE NT_STATUS(0xc0000121)
#define NT_STATUS_INVALID_COMPUTER_NAME NT_STATUS(0xc0000122)
#define NT_STATUS_FILE_DELETED NT_STATUS(0xc0000123)
#define NT_STATUS_SPECIAL_ACCOUNT NT_STATUS(0xc0000124)
#define NT_STATUS_SPECIAL_GROUP NT_STATUS(0xc0000125)
#define NT_STATUS_SPECIAL_USER NT_STATUS(0xc0000126)
#define NT_STATUS_MEMBERS_PRIMARY_GROUP NT_STATUS(0xc0000127)
#define NT_STATUS_FILE_CLOSED NT_STATUS(0xc0000128)
#define NT_STATUS_TOO_MANY_THREADS NT_STATUS(0xc0000129)
#define NT_STATUS_THREAD_NOT_IN_PROCESS NT_STATUS(0xc000012a)
#define NT_STATUS_TOKEN_ALREADY_IN_USE NT_STATUS(0xc000012b)
#define NT_STATUS_PAGEFILE_QUOTA_EXCEEDED NT_STATUS(0xc000012c)
#define NT_STATUS_COMMITMENT_LIMIT NT_STATUS(0xc000012d)
#define NT_STATUS_INVALID_IMAGE_LE_FORMAT NT_STATUS(0xc000012e)
#define NT_STATUS_INVALID_IMAGE_NOT_MZ NT_STATUS(0xc000012f)
#define NT_STATUS_INVALID_IMAGE_PROTECT NT_STATUS(0xc0000130)
#define NT_STATUS_INVALID_IMAGE_WIN_16 NT_STATUS(0xc0000131)
#define NT_STATUS_LOGON_SERVER_CONFLICT NT_STATUS(0xc0000132)
#define NT_STATUS_TIME_DIFFERENCE_AT_DC NT_STATUS(0xc0000133)
#define NT_STATUS_SYNCHRONIZATION_REQUIRED NT_STATUS(0xc0000134)
#define NT_STATUS_DLL_NOT_FOUND NT_STATUS(0xc0000135)
#define NT_STATUS_OPEN_FAILED NT_STATUS(0xc0000136)
#define NT_STATUS_IO_PRIVILEGE_FAILED NT_STATUS(0xc0000137)
#define NT_STATUS_ORDINAL_NOT_FOUND NT_STATUS(0xc0000138)
#define NT_STATUS_ENTRYPOINT_NOT_FOUND NT_STATUS(0xc0000139)
#define NT_STATUS_CONTROL_C_EXIT NT_STATUS(0xc000013a)
#define NT_STATUS_LOCAL_DISCONNECT NT_STATUS(0xc000013b)
#define NT_STATUS_REMOTE_DISCONNECT NT_STATUS(0xc000013c)
#define NT_STATUS_REMOTE_RESOURCES NT_STATUS(0xc000013d)
#define NT_STATUS_LINK_FAILED NT_STATUS(0xc000013e)
#define NT_STATUS_LINK_TIMEOUT NT_STATUS(0xc000013f)
#define NT_STATUS_INVALID_CONNECTION NT_STATUS(0xc0000140)
#define NT_STATUS_INVALID_ADDRESS NT_STATUS(0xc0000141)
#define NT_STATUS_DLL_INIT_FAILED NT_STATUS(0xc0000142)
#define NT_STATUS_MISSING_SYSTEMFILE NT_STATUS(0xc0000143)
#define NT_STATUS_UNHANDLED_EXCEPTION NT_STATUS(0xc0000144)
#define NT_STATUS_APP_INIT_FAILURE NT_STATUS(0xc0000145)
#define NT_STATUS_PAGEFILE_CREATE_FAILED NT_STATUS(0xc0000146)
#define NT_STATUS_NO_PAGEFILE NT_STATUS(0xc0000147)
#define NT_STATUS_INVALID_LEVEL NT_STATUS(0xc0000148)
#define NT_STATUS_WRONG_PASSWORD_CORE NT_STATUS(0xc0000149)
#define NT_STATUS_ILLEGAL_FLOAT_CONTEXT NT_STATUS(0xc000014a)
#define NT_STATUS_PIPE_BROKEN NT_STATUS(0xc000014b)
#define NT_STATUS_REGISTRY_CORRUPT NT_STATUS(0xc000014c)
#define NT_STATUS_REGISTRY_IO_FAILED NT_STATUS(0xc000014d)
#define NT_STATUS_NO_EVENT_PAIR NT_STATUS(0xc000014e)
#define NT_STATUS_UNRECOGNIZED_VOLUME NT_STATUS(0xc000014f)
#define NT_STATUS_SERIAL_NO_DEVICE_INITED NT_STATUS(0xc0000150)
#define NT_STATUS_NO_SUCH_ALIAS NT_STATUS(0xc0000151)
#define NT_STATUS_MEMBER_NOT_IN_ALIAS NT_STATUS(0xc0000152)
#define NT_STATUS_MEMBER_IN_ALIAS NT_STATUS(0xc0000153)
#define NT_STATUS_ALIAS_EXISTS NT_STATUS(0xc0000154)
#define NT_STATUS_LOGON_NOT_GRANTED NT_STATUS(0xc0000155)
#define NT_STATUS_TOO_MANY_SECRETS NT_STATUS(0xc0000156)
#define NT_STATUS_SECRET_TOO_LONG NT_STATUS(0xc0000157)
#define NT_STATUS_INTERNAL_DB_ERROR NT_STATUS(0xc0000158)
#define NT_STATUS_FULLSCREEN_MODE NT_STATUS(0xc0000159)
#define NT_STATUS_TOO_MANY_CONTEXT_IDS NT_STATUS(0xc000015a)
#define NT_STATUS_LOGON_TYPE_NOT_GRANTED NT_STATUS(0xc000015b)
#define NT_STATUS_NOT_REGISTRY_FILE NT_STATUS(0xc000015c)
#define NT_STATUS_NT_CROSS_ENCRYPTION_REQUIRED NT_STATUS(0xc000015d)
#define NT_STATUS_DOMAIN_CTRLR_CONFIG_ERROR NT_STATUS(0xc000015e)
#define NT_STATUS_FT_MISSING_MEMBER NT_STATUS(0xc000015f)
#define NT_STATUS_ILL_FORMED_SERVICE_ENTRY NT_STATUS(0xc0000160)
#define NT_STATUS_ILLEGAL_CHARACTER NT_STATUS(0xc0000161)
#define NT_STATUS_UNMAPPABLE_CHARACTER NT_STATUS(0xc0000162)
#define NT_STATUS_UNDEFINED_CHARACTER NT_STATUS(0xc0000163)
#define NT_STATUS_FLOPPY_VOLUME NT_STATUS(0xc0000164)
#define NT_STATUS_FLOPPY_ID_MARK_NOT_FOUND NT_STATUS(0xc0000165)
#define NT_STATUS_FLOPPY_WRONG_CYLINDER NT_STATUS(0xc0000166)
#define NT_STATUS_FLOPPY_UNKNOWN_ERROR NT_STATUS(0xc0000167)
#define NT_STATUS_FLOPPY_BAD_REGISTERS NT_STATUS(0xc0000168)
#define NT_STATUS_DISK_RECALIBRATE_FAILED NT_STATUS(0xc0000169)
#define NT_STATUS_DISK_OPERATION_FAILED NT_STATUS(0xc000016a)
#define NT_STATUS_DISK_RESET_FAILED NT_STATUS(0xc000016b)
#define NT_STATUS_SHARED_IRQ_BUSY NT_STATUS(0xc000016c)
#define NT_STATUS_FT_ORPHANING NT_STATUS(0xc000016d)
#define NT_STATUS_BIOS_FAILED_TO_CONNECT_INTERRUPT NT_STATUS(0xc000016e)
#define NT_STATUS_PARTITION_FAILURE NT_STATUS(0xc0000172)
#define NT_STATUS_INVALID_BLOCK_LENGTH NT_STATUS(0xc0000173)
#define NT_STATUS_DEVICE_NOT_PARTITIONED NT_STATUS(0xc0000174)
#define NT_STATUS_UNABLE_TO_LOCK_MEDIA NT_STATUS(0xc0000175)
#define NT_STATUS_UNABLE_TO_UNLOAD_MEDIA NT_STATUS(0xc0000176)
#define NT_STATUS_EOM_OVERFLOW NT_STATUS(0xc0000177)
#define NT_STATUS_NO_MEDIA NT_STATUS(0xc0000178)
#define NT_STATUS_NO_SUCH_MEMBER NT_STATUS(0xc000017a)
#define NT_STATUS_INVALID_MEMBER NT_STATUS(0xc000017b)
#define NT_STATUS_KEY_DELETED NT_STATUS(0xc000017c)
#define NT_STATUS_NO_LOG_SPACE NT_STATUS(0xc000017d)
#define NT_STATUS_TOO_MANY_SIDS NT_STATUS(0xc000017e)
#define NT_STATUS_LM_CROSS_ENCRYPTION_REQUIRED NT_STATUS(0xc000017f)
#define NT_STATUS_KEY_HAS_CHILDREN NT_STATUS(0xc0000180)
#define NT_STATUS_CHILD_MUST_BE_VOLATILE NT_STATUS(0xc0000181)
#define NT_STATUS_DEVICE_CONFIGURATION_ERROR NT_STATUS(0xc0000182)
#define NT_STATUS_DRIVER_INTERNAL_ERROR NT_STATUS(0xc0000183)
#define NT_STATUS_INVALID_DEVICE_STATE NT_STATUS(0xc0000184)
#define NT_STATUS_IO_DEVICE_ERROR NT_STATUS(0xc0000185)
#define NT_STATUS_DEVICE_PROTOCOL_ERROR NT_STATUS(0xc0000186)
#define NT_STATUS_BACKUP_CONTROLLER NT_STATUS(0xc0000187)
#define NT_STATUS_LOG_FILE_FULL NT_STATUS(0xc0000188)
#define NT_STATUS_TOO_LATE NT_STATUS(0xc0000189)
#define NT_STATUS_NO_TRUST_LSA_SECRET NT_STATUS(0xc000018a)
#define NT_STATUS_NO_TRUST_SAM_ACCOUNT NT_STATUS(0xc000018b)
#define NT_STATUS_TRUSTED_DOMAIN_FAILURE NT_STATUS(0xc000018c)
#define NT_STATUS_TRUSTED_RELATIONSHIP_FAILURE NT_STATUS(0xc000018d)
#define NT_STATUS_EVENTLOG_FILE_CORRUPT NT_STATUS(0xc000018e)
#define NT_STATUS_EVENTLOG_CANT_START NT_STATUS(0xc000018f)
#define NT_STATUS_TRUST_FAILURE NT_STATUS(0xc0000190)
#define NT_STATUS_MUTANT_LIMIT_EXCEEDED NT_STATUS(0xc0000191)
#define NT_STATUS_NETLOGON_NOT_STARTED NT_STATUS(0xc0000192)
#define NT_STATUS_ACCOUNT_EXPIRED NT_STATUS(0xc0000193)
#define NT_STATUS_POSSIBLE_DEADLOCK NT_STATUS(0xc0000194)
#define NT_STATUS_NETWORK_CREDENTIAL_CONFLICT NT_STATUS(0xc0000195)
#define NT_STATUS_REMOTE_SESSION_LIMIT NT_STATUS(0xc0000196)
#define NT_STATUS_EVENTLOG_FILE_CHANGED NT_STATUS(0xc0000197)
#define NT_STATUS_NOLOGON_INTERDOMAIN_TRUST_ACCOUNT NT_STATUS(0xc0000198)
#define NT_STATUS_NOLOGON_WORKSTATION_TRUST_ACCOUNT NT_STATUS(0xc0000199)
#define NT_STATUS_NOLOGON_SERVER_TRUST_ACCOUNT NT_STATUS(0xc000019a)
#define NT_STATUS_DOMAIN_TRUST_INCONSISTENT NT_STATUS(0xc000019b)
#define NT_STATUS_FS_DRIVER_REQUIRED NT_STATUS(0xc000019c)
#define NT_STATUS_IMAGE_ALREADY_LOADED_AS_DLL NT_STATUS(0xc000019d)
#define NT_STATUS_INCOMPATIBLE_WITH_GLOBAL_SHORT_NAME_REGISTRY_SETTING NT_STATUS(0xc000019e)
#define NT_STATUS_SHORT_NAMES_NOT_ENABLED_ON_VOLUME NT_STATUS(0xc000019f)
#define NT_STATUS_SECURITY_STREAM_IS_INCONSISTENT NT_STATUS(0xc00001a0)
#define NT_STATUS_INVALID_LOCK_RANGE NT_STATUS(0xc00001a1)
#define NT_STATUS_INVALID_ACE_CONDITION NT_STATUS(0xc00001a2)
#define NT_STATUS_IMAGE_SUBSYSTEM_NOT_PRESENT NT_STATUS(0xc00001a3)
#define NT_STATUS_NOTIFICATION_GUID_ALREADY_DEFINED NT_STATUS(0xc00001a4)
#define NT_STATUS_NETWORK_OPEN_RESTRICTION NT_STATUS(0xc0000201)
#define NT_STATUS_NO_USER_SESSION_KEY NT_STATUS(0xc0000202)
#define NT_STATUS_USER_SESSION_DELETED NT_STATUS(0xc0000203)
#define NT_STATUS_RESOURCE_LANG_NOT_FOUND NT_STATUS(0xc0000204)
#define NT_STATUS_INSUFF_SERVER_RESOURCES NT_STATUS(0xc0000205)
#define NT_STATUS_INVALID_BUFFER_SIZE NT_STATUS(0xc0000206)
#define NT_STATUS_INVALID_ADDRESS_COMPONENT NT_STATUS(0xc0000207)
#define NT_STATUS_INVALID_ADDRESS_WILDCARD NT_STATUS(0xc0000208)
#define NT_STATUS_TOO_MANY_ADDRESSES NT_STATUS(0xc0000209)
#define NT_STATUS_ADDRESS_ALREADY_EXISTS NT_STATUS(0xc000020a)
#define NT_STATUS_ADDRESS_CLOSED NT_STATUS(0xc000020b)
#define NT_STATUS_CONNECTION_DISCONNECTED NT_STATUS(0xc000020c)
#define NT_STATUS_CONNECTION_RESET NT_STATUS(0xc000020d)
#define NT_STATUS_TOO_MANY_NODES NT_STATUS(0xc000020e)
#define NT_STATUS_TRANSACTION_ABORTED NT_STATUS(0xc000020f)
#define NT_STATUS_TRANSACTION_TIMED_OUT NT_STATUS(0xc0000210)
#define NT_STATUS_TRANSACTION_NO_RELEASE NT_STATUS(0xc0000211)
#define NT_STATUS_TRANSACTION_NO_MATCH NT_STATUS(0xc0000212)
#define NT_STATUS_TRANSACTION_RESPONDED NT_STATUS(0xc0000213)
#define NT_STATUS_TRANSACTION_INVALID_ID NT_STATUS(0xc0000214)
#define NT_STATUS_TRANSACTION_INVALID_TYPE NT_STATUS(0xc0000215)
#define NT_STATUS_NOT_SERVER_SESSION NT_STATUS(0xc0000216)
#define NT_STATUS_NOT_CLIENT_SESSION NT_STATUS(0xc0000217)
#define NT_STATUS_CANNOT_LOAD_REGISTRY_FILE NT_STATUS(0xc0000218)
#define NT_STATUS_DEBUG_ATTACH_FAILED NT_STATUS(0xc0000219)
#define NT_STATUS_SYSTEM_PROCESS_TERMINATED NT_STATUS(0xc000021a)
#define NT_STATUS_DATA_NOT_ACCEPTED NT_STATUS(0xc000021b)
#define NT_STATUS_NO_BROWSER_SERVERS_FOUND NT_STATUS(0xc000021c)
#define NT_STATUS_VDM_HARD_ERROR NT_STATUS(0xc000021d)
#define NT_STATUS_DRIVER_CANCEL_TIMEOUT NT_STATUS(0xc000021e)
#define NT_STATUS_REPLY_MESSAGE_MISMATCH NT_STATUS(0xc000021f)
#define NT_STATUS_MAPPED_ALIGNMENT NT_STATUS(0xc0000220)
#define NT_STATUS_IMAGE_CHECKSUM_MISMATCH NT_STATUS(0xc0000221)
#define NT_STATUS_LOST_WRITEBEHIND_DATA NT_STATUS(0xc0000222)
#define NT_STATUS_CLIENT_SERVER_PARAMETERS_INVALID NT_STATUS(0xc0000223)
#define NT_STATUS_PASSWORD_MUST_CHANGE NT_STATUS(0xc0000224)
#define NT_STATUS_NOT_FOUND NT_STATUS(0xc0000225)
#define NT_STATUS_NOT_TINY_STREAM NT_STATUS(0xc0000226)
#define NT_STATUS_RECOVERY_FAILURE NT_STATUS(0xc0000227)
#define NT_STATUS_STACK_OVERFLOW_READ NT_STATUS(0xc0000228)
#define NT_STATUS_FAIL_CHECK NT_STATUS(0xc0000229)
#define NT_STATUS_DUPLICATE_OBJECTID NT_STATUS(0xc000022a)
#define NT_STATUS_OBJECTID_EXISTS NT_STATUS(0xc000022b)
#define NT_STATUS_CONVERT_TO_LARGE NT_STATUS(0xc000022c)
#define NT_STATUS_RETRY NT_STATUS(0xc000022d)
#define NT_STATUS_FOUND_OUT_OF_SCOPE NT_STATUS(0xc000022e)
#define NT_STATUS_ALLOCATE_BUCKET NT_STATUS(0xc000022f)
#define NT_STATUS_PROPSET_NOT_FOUND NT_STATUS(0xc0000230)
#define NT_STATUS_MARSHALL_OVERFLOW NT_STATUS(0xc0000231)
#define NT_STATUS_INVALID_VARIANT NT_STATUS(0xc0000232)
#define NT_STATUS_DOMAIN_CONTROLLER_NOT_FOUND NT_STATUS(0xc0000233)
#define NT_STATUS_ACCOUNT_LOCKED_OUT NT_STATUS(0xc0000234)
#define NT_STATUS_HANDLE_NOT_CLOSABLE NT_STATUS(0xc0000235)
#define NT_STATUS_CONNECTION_REFUSED NT_STATUS(0xc0000236)
#define NT_STATUS_GRACEFUL_DISCONNECT NT_STATUS(0xc0000237)
#define NT_STATUS_ADDRESS_ALREADY_ASSOCIATED NT_STATUS(0xc0000238)
#define NT_STATUS_ADDRESS_NOT_ASSOCIATED NT_STATUS(0xc0000239)
#define NT_STATUS_CONNECTION_INVALID NT_STATUS(0xc000023a)
#define NT_STATUS_CONNECTION_ACTIVE NT_STATUS(0xc000023b)
#define NT_STATUS_NETWORK_UNREACHABLE NT_STATUS(0xc000023c)
#define NT_STATUS_HOST_UNREACHABLE NT_STATUS(0xc000023d)
#define NT_STATUS_PROTOCOL_UNREACHABLE NT_STATUS(0xc000023e)
#define NT_STATUS_PORT_UNREACHABLE NT_STATUS(0xc000023f)
#define NT_STATUS_REQUEST_ABORTED NT_STATUS(0xc0000240)
#define NT_STATUS_CONNECTION_ABORTED NT_STATUS(0xc0000241)
#define NT_STATUS_BAD_COMPRESSION_BUFFER NT_STATUS(0xc0000242)
#define NT_STATUS_USER_MAPPED_FILE NT_STATUS(0xc0000243)
#define NT_STATUS_AUDIT_FAILED NT_STATUS(0xc0000244)
#define NT_STATUS_TIMER_RESOLUTION_NOT_SET NT_STATUS(0xc0000245)
#define NT_STATUS_CONNECTION_COUNT_LIMIT NT_STATUS(0xc0000246)
#define NT_STATUS_LOGIN_TIME_RESTRICTION NT_STATUS(0xc0000247)
#define NT_STATUS_LOGIN_WKSTA_RESTRICTION NT_STATUS(0xc0000248)
#define NT_STATUS_IMAGE_MP_UP_MISMATCH NT_STATUS(0xc0000249)
#define NT_STATUS_INSUFFICIENT_LOGON_INFO NT_STATUS(0xc0000250)
#define NT_STATUS_BAD_DLL_ENTRYPOINT NT_STATUS(0xc0000251)
#define NT_STATUS_BAD_SERVICE_ENTRYPOINT NT_STATUS(0xc0000252)
#define NT_STATUS_LPC_REPLY_LOST NT_STATUS(0xc0000253)
#define NT_STATUS_IP_ADDRESS_CONFLICT1 NT_STATUS(0xc0000254)
#define NT_STATUS_IP_ADDRESS_CONFLICT2 NT_STATUS(0xc0000255)
#define NT_STATUS_REGISTRY_QUOTA_LIMIT NT_STATUS(0xc0000256)
#define NT_STATUS_PATH_NOT_COVERED NT_STATUS(0xc0000257)
#define NT_STATUS_NO_CALLBACK_ACTIVE NT_STATUS(0xc0000258)
#define NT_STATUS_LICENSE_QUOTA_EXCEEDED NT_STATUS(0xc0000259)
#define NT_STATUS_PWD_TOO_SHORT NT_STATUS(0xc000025a)
#define NT_STATUS_PWD_TOO_RECENT NT_STATUS(0xc000025b)
#define NT_STATUS_PWD_HISTORY_CONFLICT NT_STATUS(0xc000025c)
#define NT_STATUS_PLUGPLAY_NO_DEVICE NT_STATUS(0xc000025e)
#define NT_STATUS_UNSUPPORTED_COMPRESSION NT_STATUS(0xc000025f)
#define NT_STATUS_INVALID_HW_PROFILE NT_STATUS(0xc0000260)
#define NT_STATUS_INVALID_PLUGPLAY_DEVICE_PATH NT_STATUS(0xc0000261)
#define NT_STATUS_DRIVER_ORDINAL_NOT_FOUND NT_STATUS(0xc0000262)
#define NT_STATUS_DRIVER_ENTRYPOINT_NOT_FOUND NT_STATUS(0xc0000263)
#define NT_STATUS_RESOURCE_NOT_OWNED NT_STATUS(0xc0000264)
#define NT_STATUS_TOO_MANY_LINKS NT_STATUS(0xc0000265)
#define NT_STATUS_QUOTA_LIST_INCONSISTENT NT_STATUS(0xc0000266)
#define NT_STATUS_FILE_IS_OFFLINE NT_STATUS(0xc0000267)
#define NT_STATUS_EVALUATION_EXPIRATION NT_STATUS(0xc0000268)
#define NT_STATUS_ILLEGAL_DLL_RELOCATION NT_STATUS(0xc0000269)
#define NT_STATUS_LICENSE_VIOLATION NT_STATUS(0xc000026a)
#define NT_STATUS_DLL_INIT_FAILED_LOGOFF NT_STATUS(0xc000026b)
#define NT_STATUS_DRIVER_UNABLE_TO_LOAD NT_STATUS(0xc000026c)
#define NT_STATUS_DFS_UNAVAILABLE NT_STATUS(0xc000026d)
#define NT_STATUS_VOLUME_DISMOUNTED NT_STATUS(0xc000026e)
#define NT_STATUS_WX86_INTERNAL_ERROR NT_STATUS(0xc000026f)
#define NT_STATUS_WX86_FLOAT_STACK_CHECK NT_STATUS(0xc0000270)
#define NT_STATUS_VALIDATE_CONTINUE NT_STATUS(0xc0000271)
#define NT_STATUS_NO_MATCH NT_STATUS(0xc0000272)
#define NT_STATUS_NO_MORE_MATCHES NT_STATUS(0xc0000273)
#define NT_STATUS_NOT_A_REPARSE_POINT NT_STATUS(0xc0000275)
#define NT_STATUS_IO_REPARSE_TAG_INVALID NT_STATUS(0xc0000276)
#define NT_STATUS_IO_REPARSE_TAG_MISMATCH NT_STATUS(0xc0000277)
#define NT_STATUS_IO_REPARSE_DATA_INVALID NT_STATUS(0xc0000278)
#define NT_STATUS_IO_REPARSE_TAG_NOT_HANDLED NT_STATUS(0xc0000279)
#define NT_STATUS_REPARSE_POINT_NOT_RESOLVED NT_STATUS(0xc0000280)
#define NT_STATUS_DIRECTORY_IS_A_REPARSE_POINT NT_STATUS(0xc0000281)
#define NT_STATUS_RANGE_LIST_CONFLICT NT_STATUS(0xc0000282)
#define NT_STATUS_SOURCE_ELEMENT_EMPTY NT_STATUS(0xc0000283)
#define NT_STATUS_DESTINATION_ELEMENT_FULL NT_STATUS(0xc0000284)
#define NT_STATUS_ILLEGAL_ELEMENT_ADDRESS NT_STATUS(0xc0000285)
#define NT_STATUS_MAGAZINE_NOT_PRESENT NT_STATUS(0xc0000286)
#define NT_STATUS_REINITIALIZATION_NEEDED NT_STATUS(0xc0000287)
#define NT_STATUS_ENCRYPTION_FAILED NT_STATUS(0xc000028a)
#define NT_STATUS_DECRYPTION_FAILED NT_STATUS(0xc000028b)
#define NT_STATUS_RANGE_NOT_FOUND NT_STATUS(0xc000028c)
#define NT_STATUS_NO_RECOVERY_POLICY NT_STATUS(0xc000028d)
#define NT_STATUS_NO_EFS NT_STATUS(0xc000028e)
#define NT_STATUS_WRONG_EFS NT_STATUS(0xc000028f)
#define NT_STATUS_NO_USER_KEYS NT_STATUS(0xc0000290)
#define NT_STATUS_FILE_NOT_ENCRYPTED NT_STATUS(0xc0000291)
#define NT_STATUS_NOT_EXPORT_FORMAT NT_STATUS(0xc0000292)
#define NT_STATUS_FILE_ENCRYPTED NT_STATUS(0xc0000293)
#define NT_STATUS_WMI_GUID_NOT_FOUND NT_STATUS(0xc0000295)
#define NT_STATUS_WMI_INSTANCE_NOT_FOUND NT_STATUS(0xc0000296)
#define NT_STATUS_WMI_ITEMID_NOT_FOUND NT_STATUS(0xc0000297)
#define NT_STATUS_WMI_TRY_AGAIN NT_STATUS(0xc0000298)
#define NT_STATUS_SHARED_POLICY NT_STATUS(0xc0000299)
#define NT_STATUS_POLICY_OBJECT_NOT_FOUND NT_STATUS(0xc000029a)
#define NT_STATUS_POLICY_ONLY_IN_DS NT_STATUS(0xc000029b)
#define NT_STATUS_VOLUME_NOT_UPGRADED NT_STATUS(0xc000029c)
#define NT_STATUS_REMOTE_STORAGE_NOT_ACTIVE NT_STATUS(0xc000029d)
#define NT_STATUS_REMOTE_STORAGE_MEDIA_ERROR NT_STATUS(0xc000029e)
#define NT_STATUS_NO_TRACKING_SERVICE NT_STATUS(0xc000029f)
#define NT_STATUS_SERVER_SID_MISMATCH NT_STATUS(0xc00002a0)
#define NT_STATUS_DS_NO_ATTRIBUTE_OR_VALUE NT_STATUS(0xc00002a1)
#define NT_STATUS_DS_INVALID_ATTRIBUTE_SYNTAX NT_STATUS(0xc00002a2)
#define NT_STATUS_DS_ATTRIBUTE_TYPE_UNDEFINED NT_STATUS(0xc00002a3)
#define NT_STATUS_DS_ATTRIBUTE_OR_VALUE_EXISTS NT_STATUS(0xc00002a4)
#define NT_STATUS_DS_BUSY NT_STATUS(0xc00002a5)
#define NT_STATUS_DS_UNAVAILABLE NT_STATUS(0xc00002a6)
#define NT_STATUS_DS_NO_RIDS_ALLOCATED NT_STATUS(0xc00002a7)
#define NT_STATUS_DS_NO_MORE_RIDS NT_STATUS(0xc00002a8)
#define NT_STATUS_DS_INCORRECT_ROLE_OWNER NT_STATUS(0xc00002a9)
#define NT_STATUS_DS_RIDMGR_INIT_ERROR NT_STATUS(0xc00002aa)
#define NT_STATUS_DS_OBJ_CLASS_VIOLATION NT_STATUS(0xc00002ab)
#define NT_STATUS_DS_CANT_ON_NON_LEAF NT_STATUS(0xc00002ac)
#define NT_STATUS_DS_CANT_ON_RDN NT_STATUS(0xc00002ad)
#define NT_STATUS_DS_CANT_MOD_OBJ_CLASS NT_STATUS(0xc00002ae)
#define NT_STATUS_DS_CROSS_DOM_MOVE_FAILED NT_STATUS(0xc00002af)
#define NT_STATUS_DS_GC_NOT_AVAILABLE NT_STATUS(0xc00002b0)
#define NT_STATUS_DIRECTORY_SERVICE_REQUIRED NT_STATUS(0xc00002b1)
#define NT_STATUS_REPARSE_ATTRIBUTE_CONFLICT NT_STATUS(0xc00002b2)
#define NT_STATUS_CANT_ENABLE_DENY_ONLY NT_STATUS(0xc00002b3)
#define NT_STATUS_FLOAT_MULTIPLE_FAULTS NT_STATUS(0xc00002b4)
#define NT_STATUS_FLOAT_MULTIPLE_TRAPS NT_STATUS(0xc00002b5)
#define NT_STATUS_DEVICE_REMOVED NT_STATUS(0xc00002b6)
#define NT_STATUS_JOURNAL_DELETE_IN_PROGRESS NT_STATUS(0xc00002b7)
#define NT_STATUS_JOURNAL_NOT_ACTIVE NT_STATUS(0xc00002b8)
#define NT_STATUS_NOINTERFACE NT_STATUS(0xc00002b9)
#define NT_STATUS_DS_ADMIN_LIMIT_EXCEEDED NT_STATUS(0xc00002c1)
#define NT_STATUS_DRIVER_FAILED_SLEEP NT_STATUS(0xc00002c2)
#define NT_STATUS_MUTUAL_AUTHENTICATION_FAILED NT_STATUS(0xc00002c3)
#define NT_STATUS_CORRUPT_SYSTEM_FILE NT_STATUS(0xc00002c4)
#define NT_STATUS_DATATYPE_MISALIGNMENT_ERROR NT_STATUS(0xc00002c5)
#define NT_STATUS_WMI_READ_ONLY NT_STATUS(0xc00002c6)
#define NT_STATUS_WMI_SET_FAILURE NT_STATUS(0xc00002c7)
#define NT_STATUS_COMMITMENT_MINIMUM NT_STATUS(0xc00002c8)
#define NT_STATUS_REG_NAT_CONSUMPTION NT_STATUS(0xc00002c9)
#define NT_STATUS_TRANSPORT_FULL NT_STATUS(0xc00002ca)
#define NT_STATUS_DS_SAM_INIT_FAILURE NT_STATUS(0xc00002cb)
#define NT_STATUS_ONLY_IF_CONNECTED NT_STATUS(0xc00002cc)
#define NT_STATUS_DS_SENSITIVE_GROUP_VIOLATION NT_STATUS(0xc00002cd)
#define NT_STATUS_PNP_RESTART_ENUMERATION NT_STATUS(0xc00002ce)
#define NT_STATUS_JOURNAL_ENTRY_DELETED NT_STATUS(0xc00002cf)
#define NT_STATUS_DS_CANT_MOD_PRIMARYGROUPID NT_STATUS(0xc00002d0)
#define NT_STATUS_SYSTEM_IMAGE_BAD_SIGNATURE NT_STATUS(0xc00002d1)
#define NT_STATUS_PNP_REBOOT_REQUIRED NT_STATUS(0xc00002d2)
#define NT_STATUS_POWER_STATE_INVALID NT_STATUS(0xc00002d3)
#define NT_STATUS_DS_INVALID_GROUP_TYPE NT_STATUS(0xc00002d4)
#define NT_STATUS_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN NT_STATUS(0xc00002d5)
#define NT_STATUS_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN NT_STATUS(0xc00002d6)
#define NT_STATUS_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER NT_STATUS(0xc00002d7)
#define NT_STATUS_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER NT_STATUS(0xc00002d8)
#define NT_STATUS_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER NT_STATUS(0xc00002d9)
#define NT_STATUS_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER NT_STATUS(0xc00002da)
#define NT_STATUS_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER NT_STATUS(0xc00002db)
#define NT_STATUS_DS_HAVE_PRIMARY_MEMBERS NT_STATUS(0xc00002dc)
#define NT_STATUS_WMI_NOT_SUPPORTED NT_STATUS(0xc00002dd)
#define NT_STATUS_INSUFFICIENT_POWER NT_STATUS(0xc00002de)
#define NT_STATUS_SAM_NEED_BOOTKEY_PASSWORD NT_STATUS(0xc00002df)
#define NT_STATUS_SAM_NEED_BOOTKEY_FLOPPY NT_STATUS(0xc00002e0)
#define NT_STATUS_DS_CANT_START NT_STATUS(0xc00002e1)
#define NT_STATUS_DS_INIT_FAILURE NT_STATUS(0xc00002e2)
#define NT_STATUS_SAM_INIT_FAILURE NT_STATUS(0xc00002e3)
#define NT_STATUS_DS_GC_REQUIRED NT_STATUS(0xc00002e4)
#define NT_STATUS_DS_LOCAL_MEMBER_OF_LOCAL_ONLY NT_STATUS(0xc00002e5)
#define NT_STATUS_DS_NO_FPO_IN_UNIVERSAL_GROUPS NT_STATUS(0xc00002e6)
#define NT_STATUS_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED NT_STATUS(0xc00002e7)
#define NT_STATUS_CURRENT_DOMAIN_NOT_ALLOWED NT_STATUS(0xc00002e9)
#define NT_STATUS_CANNOT_MAKE NT_STATUS(0xc00002ea)
#define NT_STATUS_SYSTEM_SHUTDOWN NT_STATUS(0xc00002eb)
#define NT_STATUS_DS_INIT_FAILURE_CONSOLE NT_STATUS(0xc00002ec)
#define NT_STATUS_DS_SAM_INIT_FAILURE_CONSOLE NT_STATUS(0xc00002ed)
#define NT_STATUS_UNFINISHED_CONTEXT_DELETED NT_STATUS(0xc00002ee)
#define NT_STATUS_NO_TGT_REPLY NT_STATUS(0xc00002ef)
#define NT_STATUS_OBJECTID_NOT_FOUND NT_STATUS(0xc00002f0)
#define NT_STATUS_NO_IP_ADDRESSES NT_STATUS(0xc00002f1)
#define NT_STATUS_WRONG_CREDENTIAL_HANDLE NT_STATUS(0xc00002f2)
#define NT_STATUS_CRYPTO_SYSTEM_INVALID NT_STATUS(0xc00002f3)
#define NT_STATUS_MAX_REFERRALS_EXCEEDED NT_STATUS(0xc00002f4)
#define NT_STATUS_MUST_BE_KDC NT_STATUS(0xc00002f5)
#define NT_STATUS_STRONG_CRYPTO_NOT_SUPPORTED NT_STATUS(0xc00002f6)
#define NT_STATUS_TOO_MANY_PRINCIPALS NT_STATUS(0xc00002f7)
#define NT_STATUS_NO_PA_DATA NT_STATUS(0xc00002f8)
#define NT_STATUS_PKINIT_NAME_MISMATCH NT_STATUS(0xc00002f9)
#define NT_STATUS_SMARTCARD_LOGON_REQUIRED NT_STATUS(0xc00002fa)
#define NT_STATUS_KDC_INVALID_REQUEST NT_STATUS(0xc00002fb)
#define NT_STATUS_KDC_UNABLE_TO_REFER NT_STATUS(0xc00002fc)
#define NT_STATUS_KDC_UNKNOWN_ETYPE NT_STATUS(0xc00002fd)
#define NT_STATUS_SHUTDOWN_IN_PROGRESS NT_STATUS(0xc00002fe)
#define NT_STATUS_SERVER_SHUTDOWN_IN_PROGRESS NT_STATUS(0xc00002ff)
#define NT_STATUS_NOT_SUPPORTED_ON_SBS NT_STATUS(0xc0000300)
#define NT_STATUS_WMI_GUID_DISCONNECTED NT_STATUS(0xc0000301)
#define NT_STATUS_WMI_ALREADY_DISABLED NT_STATUS(0xc0000302)
#define NT_STATUS_WMI_ALREADY_ENABLED NT_STATUS(0xc0000303)
#define NT_STATUS_MFT_TOO_FRAGMENTED NT_STATUS(0xc0000304)
#define NT_STATUS_COPY_PROTECTION_FAILURE NT_STATUS(0xc0000305)
#define NT_STATUS_CSS_AUTHENTICATION_FAILURE NT_STATUS(0xc0000306)
#define NT_STATUS_CSS_KEY_NOT_PRESENT NT_STATUS(0xc0000307)
#define NT_STATUS_CSS_KEY_NOT_ESTABLISHED NT_STATUS(0xc0000308)
#define NT_STATUS_CSS_SCRAMBLED_SECTOR NT_STATUS(0xc0000309)
#define NT_STATUS_CSS_REGION_MISMATCH NT_STATUS(0xc000030a)
#define NT_STATUS_CSS_RESETS_EXHAUSTED NT_STATUS(0xc000030b)
#define NT_STATUS_PKINIT_FAILURE NT_STATUS(0xc0000320)
#define NT_STATUS_SMARTCARD_SUBSYSTEM_FAILURE NT_STATUS(0xc0000321)
#define NT_STATUS_NO_KERB_KEY NT_STATUS(0xc0000322)
#define NT_STATUS_HOST_DOWN NT_STATUS(0xc0000350)
#define NT_STATUS_UNSUPPORTED_PREAUTH NT_STATUS(0xc0000351)
#define NT_STATUS_EFS_ALG_BLOB_TOO_BIG NT_STATUS(0xc0000352)
#define NT_STATUS_PORT_NOT_SET NT_STATUS(0xc0000353)
#define NT_STATUS_DEBUGGER_INACTIVE NT_STATUS(0xc0000354)
#define NT_STATUS_DS_VERSION_CHECK_FAILURE NT_STATUS(0xc0000355)
#define NT_STATUS_AUDITING_DISABLED NT_STATUS(0xc0000356)
#define NT_STATUS_PRENT4_MACHINE_ACCOUNT NT_STATUS(0xc0000357)
#define NT_STATUS_DS_AG_CANT_HAVE_UNIVERSAL_MEMBER NT_STATUS(0xc0000358)
#define NT_STATUS_INVALID_IMAGE_WIN_32 NT_STATUS(0xc0000359)
#define NT_STATUS_INVALID_IMAGE_WIN_64 NT_STATUS(0xc000035a)
#define NT_STATUS_BAD_BINDINGS NT_STATUS(0xc000035b)
#define NT_STATUS_NETWORK_SESSION_EXPIRED NT_STATUS(0xc000035c)
#define NT_STATUS_APPHELP_BLOCK NT_STATUS(0xc000035d)
#define NT_STATUS_ALL_SIDS_FILTERED NT_STATUS(0xc000035e)
#define NT_STATUS_NOT_SAFE_MODE_DRIVER NT_STATUS(0xc000035f)
#define NT_STATUS_ACCESS_DISABLED_BY_POLICY_DEFAULT NT_STATUS(0xc0000361)
#define NT_STATUS_ACCESS_DISABLED_BY_POLICY_PATH NT_STATUS(0xc0000362)
#define NT_STATUS_ACCESS_DISABLED_BY_POLICY_PUBLISHER NT_STATUS(0xc0000363)
#define NT_STATUS_ACCESS_DISABLED_BY_POLICY_OTHER NT_STATUS(0xc0000364)
#define NT_STATUS_FAILED_DRIVER_ENTRY NT_STATUS(0xc0000365)
#define NT_STATUS_DEVICE_ENUMERATION_ERROR NT_STATUS(0xc0000366)
#define NT_STATUS_MOUNT_POINT_NOT_RESOLVED NT_STATUS(0xc0000368)
#define NT_STATUS_INVALID_DEVICE_OBJECT_PARAMETER NT_STATUS(0xc0000369)
#define NT_STATUS_MCA_OCCURED NT_STATUS(0xc000036a)
#define NT_STATUS_DRIVER_BLOCKED_CRITICAL NT_STATUS(0xc000036b)
#define NT_STATUS_DRIVER_BLOCKED NT_STATUS(0xc000036c)
#define NT_STATUS_DRIVER_DATABASE_ERROR NT_STATUS(0xc000036d)
#define NT_STATUS_SYSTEM_HIVE_TOO_LARGE NT_STATUS(0xc000036e)
#define NT_STATUS_INVALID_IMPORT_OF_NON_DLL NT_STATUS(0xc000036f)
#define NT_STATUS_NO_SECRETS NT_STATUS(0xc0000371)
#define NT_STATUS_ACCESS_DISABLED_NO_SAFER_UI_BY_POLICY NT_STATUS(0xc0000372)
#define NT_STATUS_FAILED_STACK_SWITCH NT_STATUS(0xc0000373)
#define NT_STATUS_HEAP_CORRUPTION NT_STATUS(0xc0000374)
#define NT_STATUS_SMARTCARD_WRONG_PIN NT_STATUS(0xc0000380)
#define NT_STATUS_SMARTCARD_CARD_BLOCKED NT_STATUS(0xc0000381)
#define NT_STATUS_SMARTCARD_CARD_NOT_AUTHENTICATED NT_STATUS(0xc0000382)
#define NT_STATUS_SMARTCARD_NO_CARD NT_STATUS(0xc0000383)
#define NT_STATUS_SMARTCARD_NO_KEY_CONTAINER NT_STATUS(0xc0000384)
#define NT_STATUS_SMARTCARD_NO_CERTIFICATE NT_STATUS(0xc0000385)
#define NT_STATUS_SMARTCARD_NO_KEYSET NT_STATUS(0xc0000386)
#define NT_STATUS_SMARTCARD_IO_ERROR NT_STATUS(0xc0000387)
#define NT_STATUS_DOWNGRADE_DETECTED NT_STATUS(0xc0000388)
#define NT_STATUS_SMARTCARD_CERT_REVOKED NT_STATUS(0xc0000389)
#define NT_STATUS_ISSUING_CA_UNTRUSTED NT_STATUS(0xc000038a)
#define NT_STATUS_REVOCATION_OFFLINE_C NT_STATUS(0xc000038b)
#define NT_STATUS_PKINIT_CLIENT_FAILURE NT_STATUS(0xc000038c)
#define NT_STATUS_SMARTCARD_CERT_EXPIRED NT_STATUS(0xc000038d)
#define NT_STATUS_DRIVER_FAILED_PRIOR_UNLOAD NT_STATUS(0xc000038e)
#define NT_STATUS_SMARTCARD_SILENT_CONTEXT NT_STATUS(0xc000038f)
#define NT_STATUS_PER_USER_TRUST_QUOTA_EXCEEDED NT_STATUS(0xc0000401)
#define NT_STATUS_ALL_USER_TRUST_QUOTA_EXCEEDED NT_STATUS(0xc0000402)
#define NT_STATUS_USER_DELETE_TRUST_QUOTA_EXCEEDED NT_STATUS(0xc0000403)
#define NT_STATUS_DS_NAME_NOT_UNIQUE NT_STATUS(0xc0000404)
#define NT_STATUS_DS_DUPLICATE_ID_FOUND NT_STATUS(0xc0000405)
#define NT_STATUS_DS_GROUP_CONVERSION_ERROR NT_STATUS(0xc0000406)
#define NT_STATUS_VOLSNAP_PREPARE_HIBERNATE NT_STATUS(0xc0000407)
#define NT_STATUS_USER2USER_REQUIRED NT_STATUS(0xc0000408)
#define NT_STATUS_STACK_BUFFER_OVERRUN NT_STATUS(0xc0000409)
#define NT_STATUS_NO_S4U_PROT_SUPPORT NT_STATUS(0xc000040a)
#define NT_STATUS_CROSSREALM_DELEGATION_FAILURE NT_STATUS(0xc000040b)
#define NT_STATUS_REVOCATION_OFFLINE_KDC NT_STATUS(0xc000040c)
#define NT_STATUS_ISSUING_CA_UNTRUSTED_KDC NT_STATUS(0xc000040d)
#define NT_STATUS_KDC_CERT_EXPIRED NT_STATUS(0xc000040e)
#define NT_STATUS_KDC_CERT_REVOKED NT_STATUS(0xc000040f)
#define NT_STATUS_PARAMETER_QUOTA_EXCEEDED NT_STATUS(0xc0000410)
#define NT_STATUS_HIBERNATION_FAILURE NT_STATUS(0xc0000411)
#define NT_STATUS_DELAY_LOAD_FAILED NT_STATUS(0xc0000412)
#define NT_STATUS_AUTHENTICATION_FIREWALL_FAILED NT_STATUS(0xc0000413)
#define NT_STATUS_VDM_DISALLOWED NT_STATUS(0xc0000414)
#define NT_STATUS_HUNG_DISPLAY_DRIVER_THREAD NT_STATUS(0xc0000415)
#define NT_STATUS_INSUFFICIENT_RESOURCE_FOR_SPECIFIED_SHARED_SECTION_SIZE NT_STATUS(0xc0000416)
#define NT_STATUS_INVALID_CRUNTIME_PARAMETER NT_STATUS(0xc0000417)
#define NT_STATUS_NTLM_BLOCKED NT_STATUS(0xc0000418)
#define NT_STATUS_DS_SRC_SID_EXISTS_IN_FOREST NT_STATUS(0xc0000419)
#define NT_STATUS_DS_DOMAIN_NAME_EXISTS_IN_FOREST NT_STATUS(0xc000041a)
#define NT_STATUS_DS_FLAT_NAME_EXISTS_IN_FOREST NT_STATUS(0xc000041b)
#define NT_STATUS_INVALID_USER_PRINCIPAL_NAME NT_STATUS(0xc000041c)
#define NT_STATUS_ASSERTION_FAILURE NT_STATUS(0xc0000420)
#define NT_STATUS_VERIFIER_STOP NT_STATUS(0xc0000421)
#define NT_STATUS_CALLBACK_POP_STACK NT_STATUS(0xc0000423)
#define NT_STATUS_INCOMPATIBLE_DRIVER_BLOCKED NT_STATUS(0xc0000424)
#define NT_STATUS_HIVE_UNLOADED NT_STATUS(0xc0000425)
#define NT_STATUS_COMPRESSION_DISABLED NT_STATUS(0xc0000426)
#define NT_STATUS_FILE_SYSTEM_LIMITATION NT_STATUS(0xc0000427)
#define NT_STATUS_INVALID_IMAGE_HASH NT_STATUS(0xc0000428)
#define NT_STATUS_NOT_CAPABLE NT_STATUS(0xc0000429)
#define NT_STATUS_REQUEST_OUT_OF_SEQUENCE NT_STATUS(0xc000042a)
#define NT_STATUS_IMPLEMENTATION_LIMIT NT_STATUS(0xc000042b)
#define NT_STATUS_ELEVATION_REQUIRED NT_STATUS(0xc000042c)
#define NT_STATUS_NO_SECURITY_CONTEXT NT_STATUS(0xc000042d)
#define NT_STATUS_PKU2U_CERT_FAILURE NT_STATUS(0xc000042e)
#define NT_STATUS_BEYOND_VDL NT_STATUS(0xc0000432)
#define NT_STATUS_ENCOUNTERED_WRITE_IN_PROGRESS NT_STATUS(0xc0000433)
#define NT_STATUS_PTE_CHANGED NT_STATUS(0xc0000434)
#define NT_STATUS_PURGE_FAILED NT_STATUS(0xc0000435)
#define NT_STATUS_CRED_REQUIRES_CONFIRMATION NT_STATUS(0xc0000440)
#define NT_STATUS_CS_ENCRYPTION_INVALID_SERVER_RESPONSE NT_STATUS(0xc0000441)
#define NT_STATUS_CS_ENCRYPTION_UNSUPPORTED_SERVER NT_STATUS(0xc0000442)
#define NT_STATUS_CS_ENCRYPTION_EXISTING_ENCRYPTED_FILE NT_STATUS(0xc0000443)
#define NT_STATUS_CS_ENCRYPTION_NEW_ENCRYPTED_FILE NT_STATUS(0xc0000444)
#define NT_STATUS_CS_ENCRYPTION_FILE_NOT_CSE NT_STATUS(0xc0000445)
#define NT_STATUS_INVALID_LABEL NT_STATUS(0xc0000446)
#define NT_STATUS_DRIVER_PROCESS_TERMINATED NT_STATUS(0xc0000450)
#define NT_STATUS_AMBIGUOUS_SYSTEM_DEVICE NT_STATUS(0xc0000451)
#define NT_STATUS_SYSTEM_DEVICE_NOT_FOUND NT_STATUS(0xc0000452)
#define NT_STATUS_RESTART_BOOT_APPLICATION NT_STATUS(0xc0000453)
#define NT_STATUS_INSUFFICIENT_NVRAM_RESOURCES NT_STATUS(0xc0000454)
#define NT_STATUS_NO_RANGES_PROCESSED NT_STATUS(0xc0000460)
#define NT_STATUS_DEVICE_FEATURE_NOT_SUPPORTED NT_STATUS(0xc0000463)
#define NT_STATUS_DEVICE_UNREACHABLE NT_STATUS(0xc0000464)
#define NT_STATUS_INVALID_TOKEN NT_STATUS(0xc0000465)
#define NT_STATUS_SERVER_UNAVAILABLE NT_STATUS(0xc0000466)
#define NT_STATUS_INVALID_TASK_NAME NT_STATUS(0xc0000500)
#define NT_STATUS_INVALID_TASK_INDEX NT_STATUS(0xc0000501)
#define NT_STATUS_THREAD_ALREADY_IN_TASK NT_STATUS(0xc0000502)
#define NT_STATUS_CALLBACK_BYPASS NT_STATUS(0xc0000503)
#define NT_STATUS_FAIL_FAST_EXCEPTION NT_STATUS(0xc0000602)
#define NT_STATUS_IMAGE_CERT_REVOKED NT_STATUS(0xc0000603)
#define NT_STATUS_PORT_CLOSED NT_STATUS(0xc0000700)
#define NT_STATUS_MESSAGE_LOST NT_STATUS(0xc0000701)
#define NT_STATUS_INVALID_MESSAGE NT_STATUS(0xc0000702)
#define NT_STATUS_REQUEST_CANCELED NT_STATUS(0xc0000703)
#define NT_STATUS_RECURSIVE_DISPATCH NT_STATUS(0xc0000704)
#define NT_STATUS_LPC_RECEIVE_BUFFER_EXPECTED NT_STATUS(0xc0000705)
#define NT_STATUS_LPC_INVALID_CONNECTION_USAGE NT_STATUS(0xc0000706)
#define NT_STATUS_LPC_REQUESTS_NOT_ALLOWED NT_STATUS(0xc0000707)
#define NT_STATUS_RESOURCE_IN_USE NT_STATUS(0xc0000708)
#define NT_STATUS_HARDWARE_MEMORY_ERROR NT_STATUS(0xc0000709)
#define NT_STATUS_THREADPOOL_HANDLE_EXCEPTION NT_STATUS(0xc000070a)
#define NT_STATUS_THREADPOOL_SET_EVENT_ON_COMPLETION_FAILED NT_STATUS(0xc000070b)
#define NT_STATUS_THREADPOOL_RELEASE_SEMAPHORE_ON_COMPLETION_FAILED NT_STATUS(0xc000070c)
#define NT_STATUS_THREADPOOL_RELEASE_MUTEX_ON_COMPLETION_FAILED NT_STATUS(0xc000070d)
#define NT_STATUS_THREADPOOL_FREE_LIBRARY_ON_COMPLETION_FAILED NT_STATUS(0xc000070e)
#define NT_STATUS_THREADPOOL_RELEASED_DURING_OPERATION NT_STATUS(0xc000070f)
#define NT_STATUS_CALLBACK_RETURNED_WHILE_IMPERSONATING NT_STATUS(0xc0000710)
#define NT_STATUS_APC_RETURNED_WHILE_IMPERSONATING NT_STATUS(0xc0000711)
#define NT_STATUS_PROCESS_IS_PROTECTED NT_STATUS(0xc0000712)
#define NT_STATUS_MCA_EXCEPTION NT_STATUS(0xc0000713)
#define NT_STATUS_CERTIFICATE_MAPPING_NOT_UNIQUE NT_STATUS(0xc0000714)
#define NT_STATUS_SYMLINK_CLASS_DISABLED NT_STATUS(0xc0000715)
#define NT_STATUS_INVALID_IDN_NORMALIZATION NT_STATUS(0xc0000716)
#define NT_STATUS_NO_UNICODE_TRANSLATION NT_STATUS(0xc0000717)
#define NT_STATUS_ALREADY_REGISTERED NT_STATUS(0xc0000718)
#define NT_STATUS_CONTEXT_MISMATCH NT_STATUS(0xc0000719)
#define NT_STATUS_PORT_ALREADY_HAS_COMPLETION_LIST NT_STATUS(0xc000071a)
#define NT_STATUS_CALLBACK_RETURNED_THREAD_PRIORITY NT_STATUS(0xc000071b)
#define NT_STATUS_INVALID_THREAD NT_STATUS(0xc000071c)
#define NT_STATUS_CALLBACK_RETURNED_TRANSACTION NT_STATUS(0xc000071d)
#define NT_STATUS_CALLBACK_RETURNED_LDR_LOCK NT_STATUS(0xc000071e)
#define NT_STATUS_CALLBACK_RETURNED_LANG NT_STATUS(0xc000071f)
#define NT_STATUS_CALLBACK_RETURNED_PRI_BACK NT_STATUS(0xc0000720)
#define NT_STATUS_DISK_REPAIR_DISABLED NT_STATUS(0xc0000800)
#define NT_STATUS_DS_DOMAIN_RENAME_IN_PROGRESS NT_STATUS(0xc0000801)
#define NT_STATUS_DISK_QUOTA_EXCEEDED NT_STATUS(0xc0000802)
#define NT_STATUS_CONTENT_BLOCKED NT_STATUS(0xc0000804)
#define NT_STATUS_BAD_CLUSTERS NT_STATUS(0xc0000805)
#define NT_STATUS_VOLUME_DIRTY NT_STATUS(0xc0000806)
#define NT_STATUS_FILE_CHECKED_OUT NT_STATUS(0xc0000901)
#define NT_STATUS_CHECKOUT_REQUIRED NT_STATUS(0xc0000902)
#define NT_STATUS_BAD_FILE_TYPE NT_STATUS(0xc0000903)
#define NT_STATUS_FILE_TOO_LARGE NT_STATUS(0xc0000904)
#define NT_STATUS_FORMS_AUTH_REQUIRED NT_STATUS(0xc0000905)
#define NT_STATUS_VIRUS_INFECTED NT_STATUS(0xc0000906)
#define NT_STATUS_VIRUS_DELETED NT_STATUS(0xc0000907)
#define NT_STATUS_BAD_MCFG_TABLE NT_STATUS(0xc0000908)
#define NT_STATUS_CANNOT_BREAK_OPLOCK NT_STATUS(0xc0000909)
#define NT_STATUS_WOW_ASSERTION NT_STATUS(0xc0009898)
#define NT_STATUS_INVALID_SIGNATURE NT_STATUS(0xc000a000)
#define NT_STATUS_HMAC_NOT_SUPPORTED NT_STATUS(0xc000a001)
#define NT_STATUS_IPSEC_QUEUE_OVERFLOW NT_STATUS(0xc000a010)
#define NT_STATUS_ND_QUEUE_OVERFLOW NT_STATUS(0xc000a011)
#define NT_STATUS_HOPLIMIT_EXCEEDED NT_STATUS(0xc000a012)
#define NT_STATUS_PROTOCOL_NOT_SUPPORTED NT_STATUS(0xc000a013)
#define NT_STATUS_LOST_WRITEBEHIND_DATA_NETWORK_DISCONNECTED NT_STATUS(0xc000a080)
#define NT_STATUS_LOST_WRITEBEHIND_DATA_NETWORK_SERVER_ERROR NT_STATUS(0xc000a081)
#define NT_STATUS_LOST_WRITEBEHIND_DATA_LOCAL_DISK_ERROR NT_STATUS(0xc000a082)
#define NT_STATUS_XML_PARSE_ERROR NT_STATUS(0xc000a083)
#define NT_STATUS_XMLDSIG_ERROR NT_STATUS(0xc000a084)
#define NT_STATUS_WRONG_COMPARTMENT NT_STATUS(0xc000a085)
#define NT_STATUS_AUTHIP_FAILURE NT_STATUS(0xc000a086)
#define NT_STATUS_DS_OID_MAPPED_GROUP_CANT_HAVE_MEMBERS NT_STATUS(0xc000a087)
#define NT_STATUS_DS_OID_NOT_FOUND NT_STATUS(0xc000a088)
#define NT_STATUS_HASH_NOT_SUPPORTED NT_STATUS(0xc000a100)
#define NT_STATUS_HASH_NOT_PRESENT NT_STATUS(0xc000a101)
#define NT_STATUS_OFFLOAD_READ_FLT_NOT_SUPPORTED NT_STATUS(0xc000a2a1)
#define NT_STATUS_OFFLOAD_WRITE_FLT_NOT_SUPPORTED NT_STATUS(0xc000a2a2)
#define NT_STATUS_OFFLOAD_READ_FILE_NOT_SUPPORTED NT_STATUS(0xc000a2a3)
#define NT_STATUS_OFFLOAD_WRITE_FILE_NOT_SUPPORTED NT_STATUS(0xc000a2a4)
#define NT_STATUS_DBG_NO_STATE_CHANGE NT_STATUS(0xc0010001)
#define NT_STATUS_DBG_APP_NOT_IDLE NT_STATUS(0xc0010002)
#define NT_STATUS_RPC_INVALID_STRING_BINDING NT_STATUS(0xc0020001)
#define NT_STATUS_RPC_WRONG_KIND_OF_BINDING NT_STATUS(0xc0020002)
#define NT_STATUS_RPC_INVALID_BINDING NT_STATUS(0xc0020003)
#define NT_STATUS_RPC_PROTSEQ_NOT_SUPPORTED NT_STATUS(0xc0020004)
#define NT_STATUS_RPC_INVALID_RPC_PROTSEQ NT_STATUS(0xc0020005)
#define NT_STATUS_RPC_INVALID_STRING_UUID NT_STATUS(0xc0020006)
#define NT_STATUS_RPC_INVALID_ENDPOINT_FORMAT NT_STATUS(0xc0020007)
#define NT_STATUS_RPC_INVALID_NET_ADDR NT_STATUS(0xc0020008)
#define NT_STATUS_RPC_NO_ENDPOINT_FOUND NT_STATUS(0xc0020009)
#define NT_STATUS_RPC_INVALID_TIMEOUT NT_STATUS(0xc002000a)
#define NT_STATUS_RPC_OBJECT_NOT_FOUND NT_STATUS(0xc002000b)
#define NT_STATUS_RPC_ALREADY_REGISTERED NT_STATUS(0xc002000c)
#define NT_STATUS_RPC_TYPE_ALREADY_REGISTERED NT_STATUS(0xc002000d)
#define NT_STATUS_RPC_ALREADY_LISTENING NT_STATUS(0xc002000e)
#define NT_STATUS_RPC_NO_PROTSEQS_REGISTERED NT_STATUS(0xc002000f)
#define NT_STATUS_RPC_NOT_LISTENING NT_STATUS(0xc0020010)
#define NT_STATUS_RPC_UNKNOWN_MGR_TYPE NT_STATUS(0xc0020011)
#define NT_STATUS_RPC_UNKNOWN_IF NT_STATUS(0xc0020012)
#define NT_STATUS_RPC_NO_BINDINGS NT_STATUS(0xc0020013)
#define NT_STATUS_RPC_NO_PROTSEQS NT_STATUS(0xc0020014)
#define NT_STATUS_RPC_CANT_CREATE_ENDPOINT NT_STATUS(0xc0020015)
#define NT_STATUS_RPC_OUT_OF_RESOURCES NT_STATUS(0xc0020016)
#define NT_STATUS_RPC_SERVER_UNAVAILABLE NT_STATUS(0xc0020017)
#define NT_STATUS_RPC_SERVER_TOO_BUSY NT_STATUS(0xc0020018)
#define NT_STATUS_RPC_INVALID_NETWORK_OPTIONS NT_STATUS(0xc0020019)
#define NT_STATUS_RPC_NO_CALL_ACTIVE NT_STATUS(0xc002001a)
#define NT_STATUS_RPC_CALL_FAILED NT_STATUS(0xc002001b)
#define NT_STATUS_RPC_CALL_FAILED_DNE NT_STATUS(0xc002001c)
#define NT_STATUS_RPC_PROTOCOL_ERROR NT_STATUS(0xc002001d)
#define NT_STATUS_RPC_UNSUPPORTED_TRANS_SYN NT_STATUS(0xc002001f)
#define NT_STATUS_RPC_UNSUPPORTED_TYPE NT_STATUS(0xc0020021)
#define NT_STATUS_RPC_INVALID_TAG NT_STATUS(0xc0020022)
#define NT_STATUS_RPC_INVALID_BOUND NT_STATUS(0xc0020023)
#define NT_STATUS_RPC_NO_ENTRY_NAME NT_STATUS(0xc0020024)
#define NT_STATUS_RPC_INVALID_NAME_SYNTAX NT_STATUS(0xc0020025)
#define NT_STATUS_RPC_UNSUPPORTED_NAME_SYNTAX NT_STATUS(0xc0020026)
#define NT_STATUS_RPC_UUID_NO_ADDRESS NT_STATUS(0xc0020028)
#define NT_STATUS_RPC_DUPLICATE_ENDPOINT NT_STATUS(0xc0020029)
#define NT_STATUS_RPC_UNKNOWN_AUTHN_TYPE NT_STATUS(0xc002002a)
#define NT_STATUS_RPC_MAX_CALLS_TOO_SMALL NT_STATUS(0xc002002b)
#define NT_STATUS_RPC_STRING_TOO_LONG NT_STATUS(0xc002002c)
#define NT_STATUS_RPC_PROTSEQ_NOT_FOUND NT_STATUS(0xc002002d)
#define NT_STATUS_RPC_PROCNUM_OUT_OF_RANGE NT_STATUS(0xc002002e)
#define NT_STATUS_RPC_BINDING_HAS_NO_AUTH NT_STATUS(0xc002002f)
#define NT_STATUS_RPC_UNKNOWN_AUTHN_SERVICE NT_STATUS(0xc0020030)
#define NT_STATUS_RPC_UNKNOWN_AUTHN_LEVEL NT_STATUS(0xc0020031)
#define NT_STATUS_RPC_INVALID_AUTH_IDENTITY NT_STATUS(0xc0020032)
#define NT_STATUS_RPC_UNKNOWN_AUTHZ_SERVICE NT_STATUS(0xc0020033)
#define NT_STATUS_EPT_INVALID_ENTRY NT_STATUS(0xc0020034)
#define NT_STATUS_EPT_CANT_PERFORM_OP NT_STATUS(0xc0020035)
#define NT_STATUS_EPT_NOT_REGISTERED NT_STATUS(0xc0020036)
#define NT_STATUS_RPC_NOTHING_TO_EXPORT NT_STATUS(0xc0020037)
#define NT_STATUS_RPC_INCOMPLETE_NAME NT_STATUS(0xc0020038)
#define NT_STATUS_RPC_INVALID_VERS_OPTION NT_STATUS(0xc0020039)
#define NT_STATUS_RPC_NO_MORE_MEMBERS NT_STATUS(0xc002003a)
#define NT_STATUS_RPC_NOT_ALL_OBJS_UNEXPORTED NT_STATUS(0xc002003b)
#define NT_STATUS_RPC_INTERFACE_NOT_FOUND NT_STATUS(0xc002003c)
#define NT_STATUS_RPC_ENTRY_ALREADY_EXISTS NT_STATUS(0xc002003d)
#define NT_STATUS_RPC_ENTRY_NOT_FOUND NT_STATUS(0xc002003e)
#define NT_STATUS_RPC_NAME_SERVICE_UNAVAILABLE NT_STATUS(0xc002003f)
#define NT_STATUS_RPC_INVALID_NAF_ID NT_STATUS(0xc0020040)
#define NT_STATUS_RPC_CANNOT_SUPPORT NT_STATUS(0xc0020041)
#define NT_STATUS_RPC_NO_CONTEXT_AVAILABLE NT_STATUS(0xc0020042)
#define NT_STATUS_RPC_INTERNAL_ERROR NT_STATUS(0xc0020043)
#define NT_STATUS_RPC_ZERO_DIVIDE NT_STATUS(0xc0020044)
#define NT_STATUS_RPC_ADDRESS_ERROR NT_STATUS(0xc0020045)
#define NT_STATUS_RPC_FP_DIV_ZERO NT_STATUS(0xc0020046)
#define NT_STATUS_RPC_FP_UNDERFLOW NT_STATUS(0xc0020047)
#define NT_STATUS_RPC_FP_OVERFLOW NT_STATUS(0xc0020048)
#define NT_STATUS_RPC_CALL_IN_PROGRESS NT_STATUS(0xc0020049)
#define NT_STATUS_RPC_NO_MORE_BINDINGS NT_STATUS(0xc002004a)
#define NT_STATUS_RPC_GROUP_MEMBER_NOT_FOUND NT_STATUS(0xc002004b)
#define NT_STATUS_EPT_CANT_CREATE NT_STATUS(0xc002004c)
#define NT_STATUS_RPC_INVALID_OBJECT NT_STATUS(0xc002004d)
#define NT_STATUS_RPC_NO_INTERFACES NT_STATUS(0xc002004f)
#define NT_STATUS_RPC_CALL_CANCELLED NT_STATUS(0xc0020050)
#define NT_STATUS_RPC_BINDING_INCOMPLETE NT_STATUS(0xc0020051)
#define NT_STATUS_RPC_COMM_FAILURE NT_STATUS(0xc0020052)
#define NT_STATUS_RPC_UNSUPPORTED_AUTHN_LEVEL NT_STATUS(0xc0020053)
#define NT_STATUS_RPC_NO_PRINC_NAME NT_STATUS(0xc0020054)
#define NT_STATUS_RPC_NOT_RPC_ERROR NT_STATUS(0xc0020055)
#define NT_STATUS_RPC_SEC_PKG_ERROR NT_STATUS(0xc0020057)
#define NT_STATUS_RPC_NOT_CANCELLED NT_STATUS(0xc0020058)
#define NT_STATUS_RPC_INVALID_ASYNC_HANDLE NT_STATUS(0xc0020062)
#define NT_STATUS_RPC_INVALID_ASYNC_CALL NT_STATUS(0xc0020063)
#define NT_STATUS_RPC_PROXY_ACCESS_DENIED NT_STATUS(0xc0020064)
#define NT_STATUS_RPC_NO_MORE_ENTRIES NT_STATUS(0xc0030001)
#define NT_STATUS_RPC_SS_CHAR_TRANS_OPEN_FAIL NT_STATUS(0xc0030002)
#define NT_STATUS_RPC_SS_CHAR_TRANS_SHORT_FILE NT_STATUS(0xc0030003)
#define NT_STATUS_RPC_SS_IN_NULL_CONTEXT NT_STATUS(0xc0030004)
#define NT_STATUS_RPC_SS_CONTEXT_MISMATCH NT_STATUS(0xc0030005)
#define NT_STATUS_RPC_SS_CONTEXT_DAMAGED NT_STATUS(0xc0030006)
#define NT_STATUS_RPC_SS_HANDLES_MISMATCH NT_STATUS(0xc0030007)
#define NT_STATUS_RPC_SS_CANNOT_GET_CALL_HANDLE NT_STATUS(0xc0030008)
#define NT_STATUS_RPC_NULL_REF_POINTER NT_STATUS(0xc0030009)
#define NT_STATUS_RPC_ENUM_VALUE_OUT_OF_RANGE NT_STATUS(0xc003000a)
#define NT_STATUS_RPC_BYTE_COUNT_TOO_SMALL NT_STATUS(0xc003000b)
#define NT_STATUS_RPC_BAD_STUB_DATA NT_STATUS(0xc003000c)
#define NT_STATUS_RPC_INVALID_ES_ACTION NT_STATUS(0xc0030059)
#define NT_STATUS_RPC_WRONG_ES_VERSION NT_STATUS(0xc003005a)
#define NT_STATUS_RPC_WRONG_STUB_VERSION NT_STATUS(0xc003005b)
#define NT_STATUS_RPC_INVALID_PIPE_OBJECT NT_STATUS(0xc003005c)
#define NT_STATUS_RPC_INVALID_PIPE_OPERATION NT_STATUS(0xc003005d)
#define NT_STATUS_RPC_WRONG_PIPE_VERSION NT_STATUS(0xc003005e)
#define NT_STATUS_RPC_PIPE_CLOSED NT_STATUS(0xc003005f)
#define NT_STATUS_RPC_PIPE_DISCIPLINE_ERROR NT_STATUS(0xc0030060)
#define NT_STATUS_RPC_PIPE_EMPTY NT_STATUS(0xc0030061)
#define NT_STATUS_PNP_BAD_MPS_TABLE NT_STATUS(0xc0040035)
#define NT_STATUS_PNP_TRANSLATION_FAILED NT_STATUS(0xc0040036)
#define NT_STATUS_PNP_IRQ_TRANSLATION_FAILED NT_STATUS(0xc0040037)
#define NT_STATUS_PNP_INVALID_ID NT_STATUS(0xc0040038)
#define NT_STATUS_IO_REISSUE_AS_CACHED NT_STATUS(0xc0040039)
#define NT_STATUS_CTX_WINSTATION_NAME_INVALID NT_STATUS(0xc00a0001)
#define NT_STATUS_CTX_INVALID_PD NT_STATUS(0xc00a0002)
#define NT_STATUS_CTX_PD_NOT_FOUND NT_STATUS(0xc00a0003)
#define NT_STATUS_CTX_CLOSE_PENDING NT_STATUS(0xc00a0006)
#define NT_STATUS_CTX_NO_OUTBUF NT_STATUS(0xc00a0007)
#define NT_STATUS_CTX_MODEM_INF_NOT_FOUND NT_STATUS(0xc00a0008)
#define NT_STATUS_CTX_INVALID_MODEMNAME NT_STATUS(0xc00a0009)
#define NT_STATUS_CTX_RESPONSE_ERROR NT_STATUS(0xc00a000a)
#define NT_STATUS_CTX_MODEM_RESPONSE_TIMEOUT NT_STATUS(0xc00a000b)
#define NT_STATUS_CTX_MODEM_RESPONSE_NO_CARRIER NT_STATUS(0xc00a000c)
#define NT_STATUS_CTX_MODEM_RESPONSE_NO_DIALTONE NT_STATUS(0xc00a000d)
#define NT_STATUS_CTX_MODEM_RESPONSE_BUSY NT_STATUS(0xc00a000e)
#define NT_STATUS_CTX_MODEM_RESPONSE_VOICE NT_STATUS(0xc00a000f)
#define NT_STATUS_CTX_TD_ERROR NT_STATUS(0xc00a0010)
#define NT_STATUS_CTX_LICENSE_CLIENT_INVALID NT_STATUS(0xc00a0012)
#define NT_STATUS_CTX_LICENSE_NOT_AVAILABLE NT_STATUS(0xc00a0013)
#define NT_STATUS_CTX_LICENSE_EXPIRED NT_STATUS(0xc00a0014)
#define NT_STATUS_CTX_WINSTATION_NOT_FOUND NT_STATUS(0xc00a0015)
#define NT_STATUS_CTX_WINSTATION_NAME_COLLISION NT_STATUS(0xc00a0016)
#define NT_STATUS_CTX_WINSTATION_BUSY NT_STATUS(0xc00a0017)
#define NT_STATUS_CTX_BAD_VIDEO_MODE NT_STATUS(0xc00a0018)
#define NT_STATUS_CTX_GRAPHICS_INVALID NT_STATUS(0xc00a0022)
#define NT_STATUS_CTX_NOT_CONSOLE NT_STATUS(0xc00a0024)
#define NT_STATUS_CTX_CLIENT_QUERY_TIMEOUT NT_STATUS(0xc00a0026)
#define NT_STATUS_CTX_CONSOLE_DISCONNECT NT_STATUS(0xc00a0027)
#define NT_STATUS_CTX_CONSOLE_CONNECT NT_STATUS(0xc00a0028)
#define NT_STATUS_CTX_SHADOW_DENIED NT_STATUS(0xc00a002a)
#define NT_STATUS_CTX_WINSTATION_ACCESS_DENIED NT_STATUS(0xc00a002b)
#define NT_STATUS_CTX_INVALID_WD NT_STATUS(0xc00a002e)
#define NT_STATUS_CTX_WD_NOT_FOUND NT_STATUS(0xc00a002f)
#define NT_STATUS_CTX_SHADOW_INVALID NT_STATUS(0xc00a0030)
#define NT_STATUS_CTX_SHADOW_DISABLED NT_STATUS(0xc00a0031)
#define NT_STATUS_RDP_PROTOCOL_ERROR NT_STATUS(0xc00a0032)
#define NT_STATUS_CTX_CLIENT_LICENSE_NOT_SET NT_STATUS(0xc00a0033)
#define NT_STATUS_CTX_CLIENT_LICENSE_IN_USE NT_STATUS(0xc00a0034)
#define NT_STATUS_CTX_SHADOW_ENDED_BY_MODE_CHANGE NT_STATUS(0xc00a0035)
#define NT_STATUS_CTX_SHADOW_NOT_RUNNING NT_STATUS(0xc00a0036)
#define NT_STATUS_CTX_LOGON_DISABLED NT_STATUS(0xc00a0037)
#define NT_STATUS_CTX_SECURITY_LAYER_ERROR NT_STATUS(0xc00a0038)
#define NT_STATUS_TS_INCOMPATIBLE_SESSIONS NT_STATUS(0xc00a0039)
#define NT_STATUS_MUI_FILE_NOT_FOUND NT_STATUS(0xc00b0001)
#define NT_STATUS_MUI_INVALID_FILE NT_STATUS(0xc00b0002)
#define NT_STATUS_MUI_INVALID_RC_CONFIG NT_STATUS(0xc00b0003)
#define NT_STATUS_MUI_INVALID_LOCALE_NAME NT_STATUS(0xc00b0004)
#define NT_STATUS_MUI_INVALID_ULTIMATEFALLBACK_NAME NT_STATUS(0xc00b0005)
#define NT_STATUS_MUI_FILE_NOT_LOADED NT_STATUS(0xc00b0006)
#define NT_STATUS_RESOURCE_ENUM_USER_STOP NT_STATUS(0xc00b0007)
#define NT_STATUS_CLUSTER_INVALID_NODE NT_STATUS(0xc0130001)
#define NT_STATUS_CLUSTER_NODE_EXISTS NT_STATUS(0xc0130002)
#define NT_STATUS_CLUSTER_JOIN_IN_PROGRESS NT_STATUS(0xc0130003)
#define NT_STATUS_CLUSTER_NODE_NOT_FOUND NT_STATUS(0xc0130004)
#define NT_STATUS_CLUSTER_LOCAL_NODE_NOT_FOUND NT_STATUS(0xc0130005)
#define NT_STATUS_CLUSTER_NETWORK_EXISTS NT_STATUS(0xc0130006)
#define NT_STATUS_CLUSTER_NETWORK_NOT_FOUND NT_STATUS(0xc0130007)
#define NT_STATUS_CLUSTER_NETINTERFACE_EXISTS NT_STATUS(0xc0130008)
#define NT_STATUS_CLUSTER_NETINTERFACE_NOT_FOUND NT_STATUS(0xc0130009)
#define NT_STATUS_CLUSTER_INVALID_REQUEST NT_STATUS(0xc013000a)
#define NT_STATUS_CLUSTER_INVALID_NETWORK_PROVIDER NT_STATUS(0xc013000b)
#define NT_STATUS_CLUSTER_NODE_DOWN NT_STATUS(0xc013000c)
#define NT_STATUS_CLUSTER_NODE_UNREACHABLE NT_STATUS(0xc013000d)
#define NT_STATUS_CLUSTER_NODE_NOT_MEMBER NT_STATUS(0xc013000e)
#define NT_STATUS_CLUSTER_JOIN_NOT_IN_PROGRESS NT_STATUS(0xc013000f)
#define NT_STATUS_CLUSTER_INVALID_NETWORK NT_STATUS(0xc0130010)
#define NT_STATUS_CLUSTER_NO_NET_ADAPTERS NT_STATUS(0xc0130011)
#define NT_STATUS_CLUSTER_NODE_UP NT_STATUS(0xc0130012)
#define NT_STATUS_CLUSTER_NODE_PAUSED NT_STATUS(0xc0130013)
#define NT_STATUS_CLUSTER_NODE_NOT_PAUSED NT_STATUS(0xc0130014)
#define NT_STATUS_CLUSTER_NO_SECURITY_CONTEXT NT_STATUS(0xc0130015)
#define NT_STATUS_CLUSTER_NETWORK_NOT_INTERNAL NT_STATUS(0xc0130016)
#define NT_STATUS_CLUSTER_POISONED NT_STATUS(0xc0130017)
#define NT_STATUS_ACPI_INVALID_OPCODE NT_STATUS(0xc0140001)
#define NT_STATUS_ACPI_STACK_OVERFLOW NT_STATUS(0xc0140002)
#define NT_STATUS_ACPI_ASSERT_FAILED NT_STATUS(0xc0140003)
#define NT_STATUS_ACPI_INVALID_INDEX NT_STATUS(0xc0140004)
#define NT_STATUS_ACPI_INVALID_ARGUMENT NT_STATUS(0xc0140005)
#define NT_STATUS_ACPI_FATAL NT_STATUS(0xc0140006)
#define NT_STATUS_ACPI_INVALID_SUPERNAME NT_STATUS(0xc0140007)
#define NT_STATUS_ACPI_INVALID_ARGTYPE NT_STATUS(0xc0140008)
#define NT_STATUS_ACPI_INVALID_OBJTYPE NT_STATUS(0xc0140009)
#define NT_STATUS_ACPI_INVALID_TARGETTYPE NT_STATUS(0xc014000a)
#define NT_STATUS_ACPI_INCORRECT_ARGUMENT_COUNT NT_STATUS(0xc014000b)
#define NT_STATUS_ACPI_ADDRESS_NOT_MAPPED NT_STATUS(0xc014000c)
#define NT_STATUS_ACPI_INVALID_EVENTTYPE NT_STATUS(0xc014000d)
#define NT_STATUS_ACPI_HANDLER_COLLISION NT_STATUS(0xc014000e)
#define NT_STATUS_ACPI_INVALID_DATA NT_STATUS(0xc014000f)
#define NT_STATUS_ACPI_INVALID_REGION NT_STATUS(0xc0140010)
#define NT_STATUS_ACPI_INVALID_ACCESS_SIZE NT_STATUS(0xc0140011)
#define NT_STATUS_ACPI_ACQUIRE_GLOBAL_LOCK NT_STATUS(0xc0140012)
#define NT_STATUS_ACPI_ALREADY_INITIALIZED NT_STATUS(0xc0140013)
#define NT_STATUS_ACPI_NOT_INITIALIZED NT_STATUS(0xc0140014)
#define NT_STATUS_ACPI_INVALID_MUTEX_LEVEL NT_STATUS(0xc0140015)
#define NT_STATUS_ACPI_MUTEX_NOT_OWNED NT_STATUS(0xc0140016)
#define NT_STATUS_ACPI_MUTEX_NOT_OWNER NT_STATUS(0xc0140017)
#define NT_STATUS_ACPI_RS_ACCESS NT_STATUS(0xc0140018)
#define NT_STATUS_ACPI_INVALID_TABLE NT_STATUS(0xc0140019)
#define NT_STATUS_ACPI_REG_HANDLER_FAILED NT_STATUS(0xc0140020)
#define NT_STATUS_ACPI_POWER_REQUEST_FAILED NT_STATUS(0xc0140021)
#define NT_STATUS_SXS_SECTION_NOT_FOUND NT_STATUS(0xc0150001)
#define NT_STATUS_SXS_CANT_GEN_ACTCTX NT_STATUS(0xc0150002)
#define NT_STATUS_SXS_INVALID_ACTCTXDATA_FORMAT NT_STATUS(0xc0150003)
#define NT_STATUS_SXS_ASSEMBLY_NOT_FOUND NT_STATUS(0xc0150004)
#define NT_STATUS_SXS_MANIFEST_FORMAT_ERROR NT_STATUS(0xc0150005)
#define NT_STATUS_SXS_MANIFEST_PARSE_ERROR NT_STATUS(0xc0150006)
#define NT_STATUS_SXS_ACTIVATION_CONTEXT_DISABLED NT_STATUS(0xc0150007)
#define NT_STATUS_SXS_KEY_NOT_FOUND NT_STATUS(0xc0150008)
#define NT_STATUS_SXS_VERSION_CONFLICT NT_STATUS(0xc0150009)
#define NT_STATUS_SXS_WRONG_SECTION_TYPE NT_STATUS(0xc015000a)
#define NT_STATUS_SXS_THREAD_QUERIES_DISABLED NT_STATUS(0xc015000b)
#define NT_STATUS_SXS_ASSEMBLY_MISSING NT_STATUS(0xc015000c)
#define NT_STATUS_SXS_PROCESS_DEFAULT_ALREADY_SET NT_STATUS(0xc015000e)
#define NT_STATUS_SXS_EARLY_DEACTIVATION NT_STATUS(0xc015000f)
#define NT_STATUS_SXS_INVALID_DEACTIVATION NT_STATUS(0xc0150010)
#define NT_STATUS_SXS_MULTIPLE_DEACTIVATION NT_STATUS(0xc0150011)
#define NT_STATUS_SXS_SYSTEM_DEFAULT_ACTIVATION_CONTEXT_EMPTY NT_STATUS(0xc0150012)
#define NT_STATUS_SXS_PROCESS_TERMINATION_REQUESTED NT_STATUS(0xc0150013)
#define NT_STATUS_SXS_CORRUPT_ACTIVATION_STACK NT_STATUS(0xc0150014)
#define NT_STATUS_SXS_CORRUPTION NT_STATUS(0xc0150015)
#define NT_STATUS_SXS_INVALID_IDENTITY_ATTRIBUTE_VALUE NT_STATUS(0xc0150016)
#define NT_STATUS_SXS_INVALID_IDENTITY_ATTRIBUTE_NAME NT_STATUS(0xc0150017)
#define NT_STATUS_SXS_IDENTITY_DUPLICATE_ATTRIBUTE NT_STATUS(0xc0150018)
#define NT_STATUS_SXS_IDENTITY_PARSE_ERROR NT_STATUS(0xc0150019)
#define NT_STATUS_SXS_COMPONENT_STORE_CORRUPT NT_STATUS(0xc015001a)
#define NT_STATUS_SXS_FILE_HASH_MISMATCH NT_STATUS(0xc015001b)
#define NT_STATUS_SXS_MANIFEST_IDENTITY_SAME_BUT_CONTENTS_DIFFERENT NT_STATUS(0xc015001c)
#define NT_STATUS_SXS_IDENTITIES_DIFFERENT NT_STATUS(0xc015001d)
#define NT_STATUS_SXS_ASSEMBLY_IS_NOT_A_DEPLOYMENT NT_STATUS(0xc015001e)
#define NT_STATUS_SXS_FILE_NOT_PART_OF_ASSEMBLY NT_STATUS(0xc015001f)
#define NT_STATUS_ADVANCED_INSTALLER_FAILED NT_STATUS(0xc0150020)
#define NT_STATUS_XML_ENCODING_MISMATCH NT_STATUS(0xc0150021)
#define NT_STATUS_SXS_MANIFEST_TOO_BIG NT_STATUS(0xc0150022)
#define NT_STATUS_SXS_SETTING_NOT_REGISTERED NT_STATUS(0xc0150023)
#define NT_STATUS_SXS_TRANSACTION_CLOSURE_INCOMPLETE NT_STATUS(0xc0150024)
#define NT_STATUS_SMI_PRIMITIVE_INSTALLER_FAILED NT_STATUS(0xc0150025)
#define NT_STATUS_GENERIC_COMMAND_FAILED NT_STATUS(0xc0150026)
#define NT_STATUS_SXS_FILE_HASH_MISSING NT_STATUS(0xc0150027)
#define NT_STATUS_TRANSACTIONAL_CONFLICT NT_STATUS(0xc0190001)
#define NT_STATUS_INVALID_TRANSACTION NT_STATUS(0xc0190002)
#define NT_STATUS_TRANSACTION_NOT_ACTIVE NT_STATUS(0xc0190003)
#define NT_STATUS_TM_INITIALIZATION_FAILED NT_STATUS(0xc0190004)
#define NT_STATUS_RM_NOT_ACTIVE NT_STATUS(0xc0190005)
#define NT_STATUS_RM_METADATA_CORRUPT NT_STATUS(0xc0190006)
#define NT_STATUS_TRANSACTION_NOT_JOINED NT_STATUS(0xc0190007)
#define NT_STATUS_DIRECTORY_NOT_RM NT_STATUS(0xc0190008)
#define NT_STATUS_TRANSACTIONS_UNSUPPORTED_REMOTE NT_STATUS(0xc019000a)
#define NT_STATUS_LOG_RESIZE_INVALID_SIZE NT_STATUS(0xc019000b)
#define NT_STATUS_REMOTE_FILE_VERSION_MISMATCH NT_STATUS(0xc019000c)
#define NT_STATUS_CRM_PROTOCOL_ALREADY_EXISTS NT_STATUS(0xc019000f)
#define NT_STATUS_TRANSACTION_PROPAGATION_FAILED NT_STATUS(0xc0190010)
#define NT_STATUS_CRM_PROTOCOL_NOT_FOUND NT_STATUS(0xc0190011)
#define NT_STATUS_TRANSACTION_SUPERIOR_EXISTS NT_STATUS(0xc0190012)
#define NT_STATUS_TRANSACTION_REQUEST_NOT_VALID NT_STATUS(0xc0190013)
#define NT_STATUS_TRANSACTION_NOT_REQUESTED NT_STATUS(0xc0190014)
#define NT_STATUS_TRANSACTION_ALREADY_ABORTED NT_STATUS(0xc0190015)
#define NT_STATUS_TRANSACTION_ALREADY_COMMITTED NT_STATUS(0xc0190016)
#define NT_STATUS_TRANSACTION_INVALID_MARSHALL_BUFFER NT_STATUS(0xc0190017)
#define NT_STATUS_CURRENT_TRANSACTION_NOT_VALID NT_STATUS(0xc0190018)
#define NT_STATUS_LOG_GROWTH_FAILED NT_STATUS(0xc0190019)
#define NT_STATUS_OBJECT_NO_LONGER_EXISTS NT_STATUS(0xc0190021)
#define NT_STATUS_STREAM_MINIVERSION_NOT_FOUND NT_STATUS(0xc0190022)
#define NT_STATUS_STREAM_MINIVERSION_NOT_VALID NT_STATUS(0xc0190023)
#define NT_STATUS_MINIVERSION_INACCESSIBLE_FROM_SPECIFIED_TRANSACTION NT_STATUS(0xc0190024)
#define NT_STATUS_CANT_OPEN_MINIVERSION_WITH_MODIFY_INTENT NT_STATUS(0xc0190025)
#define NT_STATUS_CANT_CREATE_MORE_STREAM_MINIVERSIONS NT_STATUS(0xc0190026)
#define NT_STATUS_HANDLE_NO_LONGER_VALID NT_STATUS(0xc0190028)
#define NT_STATUS_LOG_CORRUPTION_DETECTED NT_STATUS(0xc0190030)
#define NT_STATUS_RM_DISCONNECTED NT_STATUS(0xc0190032)
#define NT_STATUS_ENLISTMENT_NOT_SUPERIOR NT_STATUS(0xc0190033)
#define NT_STATUS_FILE_IDENTITY_NOT_PERSISTENT NT_STATUS(0xc0190036)
#define NT_STATUS_CANT_BREAK_TRANSACTIONAL_DEPENDENCY NT_STATUS(0xc0190037)
#define NT_STATUS_CANT_CROSS_RM_BOUNDARY NT_STATUS(0xc0190038)
#define NT_STATUS_TXF_DIR_NOT_EMPTY NT_STATUS(0xc0190039)
#define NT_STATUS_INDOUBT_TRANSACTIONS_EXIST NT_STATUS(0xc019003a)
#define NT_STATUS_TM_VOLATILE NT_STATUS(0xc019003b)
#define NT_STATUS_ROLLBACK_TIMER_EXPIRED NT_STATUS(0xc019003c)
#define NT_STATUS_TXF_ATTRIBUTE_CORRUPT NT_STATUS(0xc019003d)
#define NT_STATUS_EFS_NOT_ALLOWED_IN_TRANSACTION NT_STATUS(0xc019003e)
#define NT_STATUS_TRANSACTIONAL_OPEN_NOT_ALLOWED NT_STATUS(0xc019003f)
#define NT_STATUS_TRANSACTED_MAPPING_UNSUPPORTED_REMOTE NT_STATUS(0xc0190040)
#define NT_STATUS_TRANSACTION_REQUIRED_PROMOTION NT_STATUS(0xc0190043)
#define NT_STATUS_CANNOT_EXECUTE_FILE_IN_TRANSACTION NT_STATUS(0xc0190044)
#define NT_STATUS_TRANSACTIONS_NOT_FROZEN NT_STATUS(0xc0190045)
#define NT_STATUS_TRANSACTION_FREEZE_IN_PROGRESS NT_STATUS(0xc0190046)
#define NT_STATUS_NOT_SNAPSHOT_VOLUME NT_STATUS(0xc0190047)
#define NT_STATUS_NO_SAVEPOINT_WITH_OPEN_FILES NT_STATUS(0xc0190048)
#define NT_STATUS_SPARSE_NOT_ALLOWED_IN_TRANSACTION NT_STATUS(0xc0190049)
#define NT_STATUS_TM_IDENTITY_MISMATCH NT_STATUS(0xc019004a)
#define NT_STATUS_FLOATED_SECTION NT_STATUS(0xc019004b)
#define NT_STATUS_CANNOT_ACCEPT_TRANSACTED_WORK NT_STATUS(0xc019004c)
#define NT_STATUS_CANNOT_ABORT_TRANSACTIONS NT_STATUS(0xc019004d)
#define NT_STATUS_TRANSACTION_NOT_FOUND NT_STATUS(0xc019004e)
#define NT_STATUS_RESOURCEMANAGER_NOT_FOUND NT_STATUS(0xc019004f)
#define NT_STATUS_ENLISTMENT_NOT_FOUND NT_STATUS(0xc0190050)
#define NT_STATUS_TRANSACTIONMANAGER_NOT_FOUND NT_STATUS(0xc0190051)
#define NT_STATUS_TRANSACTIONMANAGER_NOT_ONLINE NT_STATUS(0xc0190052)
#define NT_STATUS_TRANSACTIONMANAGER_RECOVERY_NAME_COLLISION NT_STATUS(0xc0190053)
#define NT_STATUS_TRANSACTION_NOT_ROOT NT_STATUS(0xc0190054)
#define NT_STATUS_TRANSACTION_OBJECT_EXPIRED NT_STATUS(0xc0190055)
#define NT_STATUS_COMPRESSION_NOT_ALLOWED_IN_TRANSACTION NT_STATUS(0xc0190056)
#define NT_STATUS_TRANSACTION_RESPONSE_NOT_ENLISTED NT_STATUS(0xc0190057)
#define NT_STATUS_TRANSACTION_RECORD_TOO_LONG NT_STATUS(0xc0190058)
#define NT_STATUS_NO_LINK_TRACKING_IN_TRANSACTION NT_STATUS(0xc0190059)
#define NT_STATUS_OPERATION_NOT_SUPPORTED_IN_TRANSACTION NT_STATUS(0xc019005a)
#define NT_STATUS_TRANSACTION_INTEGRITY_VIOLATED NT_STATUS(0xc019005b)
#define NT_STATUS_EXPIRED_HANDLE NT_STATUS(0xc0190060)
#define NT_STATUS_TRANSACTION_NOT_ENLISTED NT_STATUS(0xc0190061)
#define NT_STATUS_LOG_SECTOR_INVALID NT_STATUS(0xc01a0001)
#define NT_STATUS_LOG_SECTOR_PARITY_INVALID NT_STATUS(0xc01a0002)
#define NT_STATUS_LOG_SECTOR_REMAPPED NT_STATUS(0xc01a0003)
#define NT_STATUS_LOG_BLOCK_INCOMPLETE NT_STATUS(0xc01a0004)
#define NT_STATUS_LOG_INVALID_RANGE NT_STATUS(0xc01a0005)
#define NT_STATUS_LOG_BLOCKS_EXHAUSTED NT_STATUS(0xc01a0006)
#define NT_STATUS_LOG_READ_CONTEXT_INVALID NT_STATUS(0xc01a0007)
#define NT_STATUS_LOG_RESTART_INVALID NT_STATUS(0xc01a0008)
#define NT_STATUS_LOG_BLOCK_VERSION NT_STATUS(0xc01a0009)
#define NT_STATUS_LOG_BLOCK_INVALID NT_STATUS(0xc01a000a)
#define NT_STATUS_LOG_READ_MODE_INVALID NT_STATUS(0xc01a000b)
#define NT_STATUS_LOG_METADATA_CORRUPT NT_STATUS(0xc01a000d)
#define NT_STATUS_LOG_METADATA_INVALID NT_STATUS(0xc01a000e)
#define NT_STATUS_LOG_METADATA_INCONSISTENT NT_STATUS(0xc01a000f)
#define NT_STATUS_LOG_RESERVATION_INVALID NT_STATUS(0xc01a0010)
#define NT_STATUS_LOG_CANT_DELETE NT_STATUS(0xc01a0011)
#define NT_STATUS_LOG_CONTAINER_LIMIT_EXCEEDED NT_STATUS(0xc01a0012)
#define NT_STATUS_LOG_START_OF_LOG NT_STATUS(0xc01a0013)
#define NT_STATUS_LOG_POLICY_ALREADY_INSTALLED NT_STATUS(0xc01a0014)
#define NT_STATUS_LOG_POLICY_NOT_INSTALLED NT_STATUS(0xc01a0015)
#define NT_STATUS_LOG_POLICY_INVALID NT_STATUS(0xc01a0016)
#define NT_STATUS_LOG_POLICY_CONFLICT NT_STATUS(0xc01a0017)
#define NT_STATUS_LOG_PINNED_ARCHIVE_TAIL NT_STATUS(0xc01a0018)
#define NT_STATUS_LOG_RECORD_NONEXISTENT NT_STATUS(0xc01a0019)
#define NT_STATUS_LOG_RECORDS_RESERVED_INVALID NT_STATUS(0xc01a001a)
#define NT_STATUS_LOG_SPACE_RESERVED_INVALID NT_STATUS(0xc01a001b)
#define NT_STATUS_LOG_TAIL_INVALID NT_STATUS(0xc01a001c)
#define NT_STATUS_LOG_FULL NT_STATUS(0xc01a001d)
#define NT_STATUS_LOG_MULTIPLEXED NT_STATUS(0xc01a001e)
#define NT_STATUS_LOG_DEDICATED NT_STATUS(0xc01a001f)
#define NT_STATUS_LOG_ARCHIVE_NOT_IN_PROGRESS NT_STATUS(0xc01a0020)
#define NT_STATUS_LOG_ARCHIVE_IN_PROGRESS NT_STATUS(0xc01a0021)
#define NT_STATUS_LOG_EPHEMERAL NT_STATUS(0xc01a0022)
#define NT_STATUS_LOG_NOT_ENOUGH_CONTAINERS NT_STATUS(0xc01a0023)
#define NT_STATUS_LOG_CLIENT_ALREADY_REGISTERED NT_STATUS(0xc01a0024)
#define NT_STATUS_LOG_CLIENT_NOT_REGISTERED NT_STATUS(0xc01a0025)
#define NT_STATUS_LOG_FULL_HANDLER_IN_PROGRESS NT_STATUS(0xc01a0026)
#define NT_STATUS_LOG_CONTAINER_READ_FAILED NT_STATUS(0xc01a0027)
#define NT_STATUS_LOG_CONTAINER_WRITE_FAILED NT_STATUS(0xc01a0028)
#define NT_STATUS_LOG_CONTAINER_OPEN_FAILED NT_STATUS(0xc01a0029)
#define NT_STATUS_LOG_CONTAINER_STATE_INVALID NT_STATUS(0xc01a002a)
#define NT_STATUS_LOG_STATE_INVALID NT_STATUS(0xc01a002b)
#define NT_STATUS_LOG_PINNED NT_STATUS(0xc01a002c)
#define NT_STATUS_LOG_METADATA_FLUSH_FAILED NT_STATUS(0xc01a002d)
#define NT_STATUS_LOG_INCONSISTENT_SECURITY NT_STATUS(0xc01a002e)
#define NT_STATUS_LOG_APPENDED_FLUSH_FAILED NT_STATUS(0xc01a002f)
#define NT_STATUS_LOG_PINNED_RESERVATION NT_STATUS(0xc01a0030)
#define NT_STATUS_VIDEO_HUNG_DISPLAY_DRIVER_THREAD NT_STATUS(0xc01b00ea)
#define NT_STATUS_FLT_NO_HANDLER_DEFINED NT_STATUS(0xc01c0001)
#define NT_STATUS_FLT_CONTEXT_ALREADY_DEFINED NT_STATUS(0xc01c0002)
#define NT_STATUS_FLT_INVALID_ASYNCHRONOUS_REQUEST NT_STATUS(0xc01c0003)
#define NT_STATUS_FLT_DISALLOW_FAST_IO NT_STATUS(0xc01c0004)
#define NT_STATUS_FLT_INVALID_NAME_REQUEST NT_STATUS(0xc01c0005)
#define NT_STATUS_FLT_NOT_SAFE_TO_POST_OPERATION NT_STATUS(0xc01c0006)
#define NT_STATUS_FLT_NOT_INITIALIZED NT_STATUS(0xc01c0007)
#define NT_STATUS_FLT_FILTER_NOT_READY NT_STATUS(0xc01c0008)
#define NT_STATUS_FLT_POST_OPERATION_CLEANUP NT_STATUS(0xc01c0009)
#define NT_STATUS_FLT_INTERNAL_ERROR NT_STATUS(0xc01c000a)
#define NT_STATUS_FLT_DELETING_OBJECT NT_STATUS(0xc01c000b)
#define NT_STATUS_FLT_MUST_BE_NONPAGED_POOL NT_STATUS(0xc01c000c)
#define NT_STATUS_FLT_DUPLICATE_ENTRY NT_STATUS(0xc01c000d)
#define NT_STATUS_FLT_CBDQ_DISABLED NT_STATUS(0xc01c000e)
#define NT_STATUS_FLT_DO_NOT_ATTACH NT_STATUS(0xc01c000f)
#define NT_STATUS_FLT_DO_NOT_DETACH NT_STATUS(0xc01c0010)
#define NT_STATUS_FLT_INSTANCE_ALTITUDE_COLLISION NT_STATUS(0xc01c0011)
#define NT_STATUS_FLT_INSTANCE_NAME_COLLISION NT_STATUS(0xc01c0012)
#define NT_STATUS_FLT_FILTER_NOT_FOUND NT_STATUS(0xc01c0013)
#define NT_STATUS_FLT_VOLUME_NOT_FOUND NT_STATUS(0xc01c0014)
#define NT_STATUS_FLT_INSTANCE_NOT_FOUND NT_STATUS(0xc01c0015)
#define NT_STATUS_FLT_CONTEXT_ALLOCATION_NOT_FOUND NT_STATUS(0xc01c0016)
#define NT_STATUS_FLT_INVALID_CONTEXT_REGISTRATION NT_STATUS(0xc01c0017)
#define NT_STATUS_FLT_NAME_CACHE_MISS NT_STATUS(0xc01c0018)
#define NT_STATUS_FLT_NO_DEVICE_OBJECT NT_STATUS(0xc01c0019)
#define NT_STATUS_FLT_VOLUME_ALREADY_MOUNTED NT_STATUS(0xc01c001a)
#define NT_STATUS_FLT_ALREADY_ENLISTED NT_STATUS(0xc01c001b)
#define NT_STATUS_FLT_CONTEXT_ALREADY_LINKED NT_STATUS(0xc01c001c)
#define NT_STATUS_FLT_NO_WAITER_FOR_REPLY NT_STATUS(0xc01c0020)
#define NT_STATUS_MONITOR_NO_DESCRIPTOR NT_STATUS(0xc01d0001)
#define NT_STATUS_MONITOR_UNKNOWN_DESCRIPTOR_FORMAT NT_STATUS(0xc01d0002)
#define NT_STATUS_MONITOR_INVALID_DESCRIPTOR_CHECKSUM NT_STATUS(0xc01d0003)
#define NT_STATUS_MONITOR_INVALID_STANDARD_TIMING_BLOCK NT_STATUS(0xc01d0004)
#define NT_STATUS_MONITOR_WMI_DATABLOCK_REGISTRATION_FAILED NT_STATUS(0xc01d0005)
#define NT_STATUS_MONITOR_INVALID_SERIAL_NUMBER_MONDSC_BLOCK NT_STATUS(0xc01d0006)
#define NT_STATUS_MONITOR_INVALID_USER_FRIENDLY_MONDSC_BLOCK NT_STATUS(0xc01d0007)
#define NT_STATUS_MONITOR_NO_MORE_DESCRIPTOR_DATA NT_STATUS(0xc01d0008)
#define NT_STATUS_MONITOR_INVALID_DETAILED_TIMING_BLOCK NT_STATUS(0xc01d0009)
#define NT_STATUS_MONITOR_INVALID_MANUFACTURE_DATE NT_STATUS(0xc01d000a)
#define NT_STATUS_GRAPHICS_NOT_EXCLUSIVE_MODE_OWNER NT_STATUS(0xc01e0000)
#define NT_STATUS_GRAPHICS_INSUFFICIENT_DMA_BUFFER NT_STATUS(0xc01e0001)
#define NT_STATUS_GRAPHICS_INVALID_DISPLAY_ADAPTER NT_STATUS(0xc01e0002)
#define NT_STATUS_GRAPHICS_ADAPTER_WAS_RESET NT_STATUS(0xc01e0003)
#define NT_STATUS_GRAPHICS_INVALID_DRIVER_MODEL NT_STATUS(0xc01e0004)
#define NT_STATUS_GRAPHICS_PRESENT_MODE_CHANGED NT_STATUS(0xc01e0005)
#define NT_STATUS_GRAPHICS_PRESENT_OCCLUDED NT_STATUS(0xc01e0006)
#define NT_STATUS_GRAPHICS_PRESENT_DENIED NT_STATUS(0xc01e0007)
#define NT_STATUS_GRAPHICS_CANNOTCOLORCONVERT NT_STATUS(0xc01e0008)
#define NT_STATUS_GRAPHICS_PRESENT_REDIRECTION_DISABLED NT_STATUS(0xc01e000b)
#define NT_STATUS_GRAPHICS_PRESENT_UNOCCLUDED NT_STATUS(0xc01e000c)
#define NT_STATUS_GRAPHICS_NO_VIDEO_MEMORY NT_STATUS(0xc01e0100)
#define NT_STATUS_GRAPHICS_CANT_LOCK_MEMORY NT_STATUS(0xc01e0101)
#define NT_STATUS_GRAPHICS_ALLOCATION_BUSY NT_STATUS(0xc01e0102)
#define NT_STATUS_GRAPHICS_TOO_MANY_REFERENCES NT_STATUS(0xc01e0103)
#define NT_STATUS_GRAPHICS_TRY_AGAIN_LATER NT_STATUS(0xc01e0104)
#define NT_STATUS_GRAPHICS_TRY_AGAIN_NOW NT_STATUS(0xc01e0105)
#define NT_STATUS_GRAPHICS_ALLOCATION_INVALID NT_STATUS(0xc01e0106)
#define NT_STATUS_GRAPHICS_UNSWIZZLING_APERTURE_UNAVAILABLE NT_STATUS(0xc01e0107)
#define NT_STATUS_GRAPHICS_UNSWIZZLING_APERTURE_UNSUPPORTED NT_STATUS(0xc01e0108)
#define NT_STATUS_GRAPHICS_CANT_EVICT_PINNED_ALLOCATION NT_STATUS(0xc01e0109)
#define NT_STATUS_GRAPHICS_INVALID_ALLOCATION_USAGE NT_STATUS(0xc01e0110)
#define NT_STATUS_GRAPHICS_CANT_RENDER_LOCKED_ALLOCATION NT_STATUS(0xc01e0111)
#define NT_STATUS_GRAPHICS_ALLOCATION_CLOSED NT_STATUS(0xc01e0112)
#define NT_STATUS_GRAPHICS_INVALID_ALLOCATION_INSTANCE NT_STATUS(0xc01e0113)
#define NT_STATUS_GRAPHICS_INVALID_ALLOCATION_HANDLE NT_STATUS(0xc01e0114)
#define NT_STATUS_GRAPHICS_WRONG_ALLOCATION_DEVICE NT_STATUS(0xc01e0115)
#define NT_STATUS_GRAPHICS_ALLOCATION_CONTENT_LOST NT_STATUS(0xc01e0116)
#define NT_STATUS_GRAPHICS_GPU_EXCEPTION_ON_DEVICE NT_STATUS(0xc01e0200)
#define NT_STATUS_GRAPHICS_INVALID_VIDPN_TOPOLOGY NT_STATUS(0xc01e0300)
#define NT_STATUS_GRAPHICS_VIDPN_TOPOLOGY_NOT_SUPPORTED NT_STATUS(0xc01e0301)
#define NT_STATUS_GRAPHICS_VIDPN_TOPOLOGY_CURRENTLY_NOT_SUPPORTED NT_STATUS(0xc01e0302)
#define NT_STATUS_GRAPHICS_INVALID_VIDPN NT_STATUS(0xc01e0303)
#define NT_STATUS_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE NT_STATUS(0xc01e0304)
#define NT_STATUS_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET NT_STATUS(0xc01e0305)
#define NT_STATUS_GRAPHICS_VIDPN_MODALITY_NOT_SUPPORTED NT_STATUS(0xc01e0306)
#define NT_STATUS_GRAPHICS_INVALID_VIDPN_SOURCEMODESET NT_STATUS(0xc01e0308)
#define NT_STATUS_GRAPHICS_INVALID_VIDPN_TARGETMODESET NT_STATUS(0xc01e0309)
#define NT_STATUS_GRAPHICS_INVALID_FREQUENCY NT_STATUS(0xc01e030a)
#define NT_STATUS_GRAPHICS_INVALID_ACTIVE_REGION NT_STATUS(0xc01e030b)
#define NT_STATUS_GRAPHICS_INVALID_TOTAL_REGION NT_STATUS(0xc01e030c)
#define NT_STATUS_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE_MODE NT_STATUS(0xc01e0310)
#define NT_STATUS_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET_MODE NT_STATUS(0xc01e0311)
#define NT_STATUS_GRAPHICS_PINNED_MODE_MUST_REMAIN_IN_SET NT_STATUS(0xc01e0312)
#define NT_STATUS_GRAPHICS_PATH_ALREADY_IN_TOPOLOGY NT_STATUS(0xc01e0313)
#define NT_STATUS_GRAPHICS_MODE_ALREADY_IN_MODESET NT_STATUS(0xc01e0314)
#define NT_STATUS_GRAPHICS_INVALID_VIDEOPRESENTSOURCESET NT_STATUS(0xc01e0315)
#define NT_STATUS_GRAPHICS_INVALID_VIDEOPRESENTTARGETSET NT_STATUS(0xc01e0316)
#define NT_STATUS_GRAPHICS_SOURCE_ALREADY_IN_SET NT_STATUS(0xc01e0317)
#define NT_STATUS_GRAPHICS_TARGET_ALREADY_IN_SET NT_STATUS(0xc01e0318)
#define NT_STATUS_GRAPHICS_INVALID_VIDPN_PRESENT_PATH NT_STATUS(0xc01e0319)
#define NT_STATUS_GRAPHICS_NO_RECOMMENDED_VIDPN_TOPOLOGY NT_STATUS(0xc01e031a)
#define NT_STATUS_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGESET NT_STATUS(0xc01e031b)
#define NT_STATUS_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE NT_STATUS(0xc01e031c)
#define NT_STATUS_GRAPHICS_FREQUENCYRANGE_NOT_IN_SET NT_STATUS(0xc01e031d)
#define NT_STATUS_GRAPHICS_FREQUENCYRANGE_ALREADY_IN_SET NT_STATUS(0xc01e031f)
#define NT_STATUS_GRAPHICS_STALE_MODESET NT_STATUS(0xc01e0320)
#define NT_STATUS_GRAPHICS_INVALID_MONITOR_SOURCEMODESET NT_STATUS(0xc01e0321)
#define NT_STATUS_GRAPHICS_INVALID_MONITOR_SOURCE_MODE NT_STATUS(0xc01e0322)
#define NT_STATUS_GRAPHICS_NO_RECOMMENDED_FUNCTIONAL_VIDPN NT_STATUS(0xc01e0323)
#define NT_STATUS_GRAPHICS_MODE_ID_MUST_BE_UNIQUE NT_STATUS(0xc01e0324)
#define NT_STATUS_GRAPHICS_EMPTY_ADAPTER_MONITOR_MODE_SUPPORT_INTERSECTION NT_STATUS(0xc01e0325)
#define NT_STATUS_GRAPHICS_VIDEO_PRESENT_TARGETS_LESS_THAN_SOURCES NT_STATUS(0xc01e0326)
#define NT_STATUS_GRAPHICS_PATH_NOT_IN_TOPOLOGY NT_STATUS(0xc01e0327)
#define NT_STATUS_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_SOURCE NT_STATUS(0xc01e0328)
#define NT_STATUS_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_TARGET NT_STATUS(0xc01e0329)
#define NT_STATUS_GRAPHICS_INVALID_MONITORDESCRIPTORSET NT_STATUS(0xc01e032a)
#define NT_STATUS_GRAPHICS_INVALID_MONITORDESCRIPTOR NT_STATUS(0xc01e032b)
#define NT_STATUS_GRAPHICS_MONITORDESCRIPTOR_NOT_IN_SET NT_STATUS(0xc01e032c)
#define NT_STATUS_GRAPHICS_MONITORDESCRIPTOR_ALREADY_IN_SET NT_STATUS(0xc01e032d)
#define NT_STATUS_GRAPHICS_MONITORDESCRIPTOR_ID_MUST_BE_UNIQUE NT_STATUS(0xc01e032e)
#define NT_STATUS_GRAPHICS_INVALID_VIDPN_TARGET_SUBSET_TYPE NT_STATUS(0xc01e032f)
#define NT_STATUS_GRAPHICS_RESOURCES_NOT_RELATED NT_STATUS(0xc01e0330)
#define NT_STATUS_GRAPHICS_SOURCE_ID_MUST_BE_UNIQUE NT_STATUS(0xc01e0331)
#define NT_STATUS_GRAPHICS_TARGET_ID_MUST_BE_UNIQUE NT_STATUS(0xc01e0332)
#define NT_STATUS_GRAPHICS_NO_AVAILABLE_VIDPN_TARGET NT_STATUS(0xc01e0333)
#define NT_STATUS_GRAPHICS_MONITOR_COULD_NOT_BE_ASSOCIATED_WITH_ADAPTER NT_STATUS(0xc01e0334)
#define NT_STATUS_GRAPHICS_NO_VIDPNMGR NT_STATUS(0xc01e0335)
#define NT_STATUS_GRAPHICS_NO_ACTIVE_VIDPN NT_STATUS(0xc01e0336)
#define NT_STATUS_GRAPHICS_STALE_VIDPN_TOPOLOGY NT_STATUS(0xc01e0337)
#define NT_STATUS_GRAPHICS_MONITOR_NOT_CONNECTED NT_STATUS(0xc01e0338)
#define NT_STATUS_GRAPHICS_SOURCE_NOT_IN_TOPOLOGY NT_STATUS(0xc01e0339)
#define NT_STATUS_GRAPHICS_INVALID_PRIMARYSURFACE_SIZE NT_STATUS(0xc01e033a)
#define NT_STATUS_GRAPHICS_INVALID_VISIBLEREGION_SIZE NT_STATUS(0xc01e033b)
#define NT_STATUS_GRAPHICS_INVALID_STRIDE NT_STATUS(0xc01e033c)
#define NT_STATUS_GRAPHICS_INVALID_PIXELFORMAT NT_STATUS(0xc01e033d)
#define NT_STATUS_GRAPHICS_INVALID_COLORBASIS NT_STATUS(0xc01e033e)
#define NT_STATUS_GRAPHICS_INVALID_PIXELVALUEACCESSMODE NT_STATUS(0xc01e033f)
#define NT_STATUS_GRAPHICS_TARGET_NOT_IN_TOPOLOGY NT_STATUS(0xc01e0340)
#define NT_STATUS_GRAPHICS_NO_DISPLAY_MODE_MANAGEMENT_SUPPORT NT_STATUS(0xc01e0341)
#define NT_STATUS_GRAPHICS_VIDPN_SOURCE_IN_USE NT_STATUS(0xc01e0342)
#define NT_STATUS_GRAPHICS_CANT_ACCESS_ACTIVE_VIDPN NT_STATUS(0xc01e0343)
#define NT_STATUS_GRAPHICS_INVALID_PATH_IMPORTANCE_ORDINAL NT_STATUS(0xc01e0344)
#define NT_STATUS_GRAPHICS_INVALID_PATH_CONTENT_GEOMETRY_TRANSFORMATION NT_STATUS(0xc01e0345)
#define NT_STATUS_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_SUPPORTED NT_STATUS(0xc01e0346)
#define NT_STATUS_GRAPHICS_INVALID_GAMMA_RAMP NT_STATUS(0xc01e0347)
#define NT_STATUS_GRAPHICS_GAMMA_RAMP_NOT_SUPPORTED NT_STATUS(0xc01e0348)
#define NT_STATUS_GRAPHICS_MULTISAMPLING_NOT_SUPPORTED NT_STATUS(0xc01e0349)
#define NT_STATUS_GRAPHICS_MODE_NOT_IN_MODESET NT_STATUS(0xc01e034a)
#define NT_STATUS_GRAPHICS_INVALID_VIDPN_TOPOLOGY_RECOMMENDATION_REASON NT_STATUS(0xc01e034d)
#define NT_STATUS_GRAPHICS_INVALID_PATH_CONTENT_TYPE NT_STATUS(0xc01e034e)
#define NT_STATUS_GRAPHICS_INVALID_COPYPROTECTION_TYPE NT_STATUS(0xc01e034f)
#define NT_STATUS_GRAPHICS_UNASSIGNED_MODESET_ALREADY_EXISTS NT_STATUS(0xc01e0350)
#define NT_STATUS_GRAPHICS_INVALID_SCANLINE_ORDERING NT_STATUS(0xc01e0352)
#define NT_STATUS_GRAPHICS_TOPOLOGY_CHANGES_NOT_ALLOWED NT_STATUS(0xc01e0353)
#define NT_STATUS_GRAPHICS_NO_AVAILABLE_IMPORTANCE_ORDINALS NT_STATUS(0xc01e0354)
#define NT_STATUS_GRAPHICS_INCOMPATIBLE_PRIVATE_FORMAT NT_STATUS(0xc01e0355)
#define NT_STATUS_GRAPHICS_INVALID_MODE_PRUNING_ALGORITHM NT_STATUS(0xc01e0356)
#define NT_STATUS_GRAPHICS_INVALID_MONITOR_CAPABILITY_ORIGIN NT_STATUS(0xc01e0357)
#define NT_STATUS_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE_CONSTRAINT NT_STATUS(0xc01e0358)
#define NT_STATUS_GRAPHICS_MAX_NUM_PATHS_REACHED NT_STATUS(0xc01e0359)
#define NT_STATUS_GRAPHICS_CANCEL_VIDPN_TOPOLOGY_AUGMENTATION NT_STATUS(0xc01e035a)
#define NT_STATUS_GRAPHICS_INVALID_CLIENT_TYPE NT_STATUS(0xc01e035b)
#define NT_STATUS_GRAPHICS_CLIENTVIDPN_NOT_SET NT_STATUS(0xc01e035c)
#define NT_STATUS_GRAPHICS_SPECIFIED_CHILD_ALREADY_CONNECTED NT_STATUS(0xc01e0400)
#define NT_STATUS_GRAPHICS_CHILD_DESCRIPTOR_NOT_SUPPORTED NT_STATUS(0xc01e0401)
#define NT_STATUS_GRAPHICS_NOT_A_LINKED_ADAPTER NT_STATUS(0xc01e0430)
#define NT_STATUS_GRAPHICS_LEADLINK_NOT_ENUMERATED NT_STATUS(0xc01e0431)
#define NT_STATUS_GRAPHICS_CHAINLINKS_NOT_ENUMERATED NT_STATUS(0xc01e0432)
#define NT_STATUS_GRAPHICS_ADAPTER_CHAIN_NOT_READY NT_STATUS(0xc01e0433)
#define NT_STATUS_GRAPHICS_CHAINLINKS_NOT_STARTED NT_STATUS(0xc01e0434)
#define NT_STATUS_GRAPHICS_CHAINLINKS_NOT_POWERED_ON NT_STATUS(0xc01e0435)
#define NT_STATUS_GRAPHICS_INCONSISTENT_DEVICE_LINK_STATE NT_STATUS(0xc01e0436)
#define NT_STATUS_GRAPHICS_NOT_POST_DEVICE_DRIVER NT_STATUS(0xc01e0438)
#define NT_STATUS_GRAPHICS_ADAPTER_ACCESS_NOT_EXCLUDED NT_STATUS(0xc01e043b)
#define NT_STATUS_GRAPHICS_OPM_NOT_SUPPORTED NT_STATUS(0xc01e0500)
#define NT_STATUS_GRAPHICS_COPP_NOT_SUPPORTED NT_STATUS(0xc01e0501)
#define NT_STATUS_GRAPHICS_UAB_NOT_SUPPORTED NT_STATUS(0xc01e0502)
#define NT_STATUS_GRAPHICS_OPM_INVALID_ENCRYPTED_PARAMETERS NT_STATUS(0xc01e0503)
#define NT_STATUS_GRAPHICS_OPM_PARAMETER_ARRAY_TOO_SMALL NT_STATUS(0xc01e0504)
#define NT_STATUS_GRAPHICS_OPM_NO_PROTECTED_OUTPUTS_EXIST NT_STATUS(0xc01e0505)
#define NT_STATUS_GRAPHICS_PVP_NO_DISPLAY_DEVICE_CORRESPONDS_TO_NAME NT_STATUS(0xc01e0506)
#define NT_STATUS_GRAPHICS_PVP_DISPLAY_DEVICE_NOT_ATTACHED_TO_DESKTOP NT_STATUS(0xc01e0507)
#define NT_STATUS_GRAPHICS_PVP_MIRRORING_DEVICES_NOT_SUPPORTED NT_STATUS(0xc01e0508)
#define NT_STATUS_GRAPHICS_OPM_INVALID_POINTER NT_STATUS(0xc01e050a)
#define NT_STATUS_GRAPHICS_OPM_INTERNAL_ERROR NT_STATUS(0xc01e050b)
#define NT_STATUS_GRAPHICS_OPM_INVALID_HANDLE NT_STATUS(0xc01e050c)
#define NT_STATUS_GRAPHICS_PVP_NO_MONITORS_CORRESPOND_TO_DISPLAY_DEVICE NT_STATUS(0xc01e050d)
#define NT_STATUS_GRAPHICS_PVP_INVALID_CERTIFICATE_LENGTH NT_STATUS(0xc01e050e)
#define NT_STATUS_GRAPHICS_OPM_SPANNING_MODE_ENABLED NT_STATUS(0xc01e050f)
#define NT_STATUS_GRAPHICS_OPM_THEATER_MODE_ENABLED NT_STATUS(0xc01e0510)
#define NT_STATUS_GRAPHICS_PVP_HFS_FAILED NT_STATUS(0xc01e0511)
#define NT_STATUS_GRAPHICS_OPM_INVALID_SRM NT_STATUS(0xc01e0512)
#define NT_STATUS_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_HDCP NT_STATUS(0xc01e0513)
#define NT_STATUS_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_ACP NT_STATUS(0xc01e0514)
#define NT_STATUS_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_CGMSA NT_STATUS(0xc01e0515)
#define NT_STATUS_GRAPHICS_OPM_HDCP_SRM_NEVER_SET NT_STATUS(0xc01e0516)
#define NT_STATUS_GRAPHICS_OPM_RESOLUTION_TOO_HIGH NT_STATUS(0xc01e0517)
#define NT_STATUS_GRAPHICS_OPM_ALL_HDCP_HARDWARE_ALREADY_IN_USE NT_STATUS(0xc01e0518)
#define NT_STATUS_GRAPHICS_OPM_PROTECTED_OUTPUT_NO_LONGER_EXISTS NT_STATUS(0xc01e051a)
#define NT_STATUS_GRAPHICS_OPM_SESSION_TYPE_CHANGE_IN_PROGRESS NT_STATUS(0xc01e051b)
#define NT_STATUS_GRAPHICS_OPM_PROTECTED_OUTPUT_DOES_NOT_HAVE_COPP_SEMANTICS NT_STATUS(0xc01e051c)
#define NT_STATUS_GRAPHICS_OPM_INVALID_INFORMATION_REQUEST NT_STATUS(0xc01e051d)
#define NT_STATUS_GRAPHICS_OPM_DRIVER_INTERNAL_ERROR NT_STATUS(0xc01e051e)
#define NT_STATUS_GRAPHICS_OPM_PROTECTED_OUTPUT_DOES_NOT_HAVE_OPM_SEMANTICS NT_STATUS(0xc01e051f)
#define NT_STATUS_GRAPHICS_OPM_SIGNALING_NOT_SUPPORTED NT_STATUS(0xc01e0520)
#define NT_STATUS_GRAPHICS_OPM_INVALID_CONFIGURATION_REQUEST NT_STATUS(0xc01e0521)
#define NT_STATUS_GRAPHICS_I2C_NOT_SUPPORTED NT_STATUS(0xc01e0580)
#define NT_STATUS_GRAPHICS_I2C_DEVICE_DOES_NOT_EXIST NT_STATUS(0xc01e0581)
#define NT_STATUS_GRAPHICS_I2C_ERROR_TRANSMITTING_DATA NT_STATUS(0xc01e0582)
#define NT_STATUS_GRAPHICS_I2C_ERROR_RECEIVING_DATA NT_STATUS(0xc01e0583)
#define NT_STATUS_GRAPHICS_DDCCI_VCP_NOT_SUPPORTED NT_STATUS(0xc01e0584)
#define NT_STATUS_GRAPHICS_DDCCI_INVALID_DATA NT_STATUS(0xc01e0585)
#define NT_STATUS_GRAPHICS_DDCCI_MONITOR_RETURNED_INVALID_TIMING_STATUS_BYTE NT_STATUS(0xc01e0586)
#define NT_STATUS_GRAPHICS_DDCCI_INVALID_CAPABILITIES_STRING NT_STATUS(0xc01e0587)
#define NT_STATUS_GRAPHICS_MCA_INTERNAL_ERROR NT_STATUS(0xc01e0588)
#define NT_STATUS_GRAPHICS_DDCCI_INVALID_MESSAGE_COMMAND NT_STATUS(0xc01e0589)
#define NT_STATUS_GRAPHICS_DDCCI_INVALID_MESSAGE_LENGTH NT_STATUS(0xc01e058a)
#define NT_STATUS_GRAPHICS_DDCCI_INVALID_MESSAGE_CHECKSUM NT_STATUS(0xc01e058b)
#define NT_STATUS_GRAPHICS_INVALID_PHYSICAL_MONITOR_HANDLE NT_STATUS(0xc01e058c)
#define NT_STATUS_GRAPHICS_MONITOR_NO_LONGER_EXISTS NT_STATUS(0xc01e058d)
#define NT_STATUS_GRAPHICS_ONLY_CONSOLE_SESSION_SUPPORTED NT_STATUS(0xc01e05e0)
#define NT_STATUS_GRAPHICS_NO_DISPLAY_DEVICE_CORRESPONDS_TO_NAME NT_STATUS(0xc01e05e1)
#define NT_STATUS_GRAPHICS_DISPLAY_DEVICE_NOT_ATTACHED_TO_DESKTOP NT_STATUS(0xc01e05e2)
#define NT_STATUS_GRAPHICS_MIRRORING_DEVICES_NOT_SUPPORTED NT_STATUS(0xc01e05e3)
#define NT_STATUS_GRAPHICS_INVALID_POINTER NT_STATUS(0xc01e05e4)
#define NT_STATUS_GRAPHICS_NO_MONITORS_CORRESPOND_TO_DISPLAY_DEVICE NT_STATUS(0xc01e05e5)
#define NT_STATUS_GRAPHICS_PARAMETER_ARRAY_TOO_SMALL NT_STATUS(0xc01e05e6)
#define NT_STATUS_GRAPHICS_INTERNAL_ERROR NT_STATUS(0xc01e05e7)
#define NT_STATUS_GRAPHICS_SESSION_TYPE_CHANGE_IN_PROGRESS NT_STATUS(0xc01e05e8)
#define NT_STATUS_FVE_LOCKED_VOLUME NT_STATUS(0xc0210000)
#define NT_STATUS_FVE_NOT_ENCRYPTED NT_STATUS(0xc0210001)
#define NT_STATUS_FVE_BAD_INFORMATION NT_STATUS(0xc0210002)
#define NT_STATUS_FVE_TOO_SMALL NT_STATUS(0xc0210003)
#define NT_STATUS_FVE_FAILED_WRONG_FS NT_STATUS(0xc0210004)
#define NT_STATUS_FVE_FAILED_BAD_FS NT_STATUS(0xc0210005)
#define NT_STATUS_FVE_FS_NOT_EXTENDED NT_STATUS(0xc0210006)
#define NT_STATUS_FVE_FS_MOUNTED NT_STATUS(0xc0210007)
#define NT_STATUS_FVE_NO_LICENSE NT_STATUS(0xc0210008)
#define NT_STATUS_FVE_ACTION_NOT_ALLOWED NT_STATUS(0xc0210009)
#define NT_STATUS_FVE_BAD_DATA NT_STATUS(0xc021000a)
#define NT_STATUS_FVE_VOLUME_NOT_BOUND NT_STATUS(0xc021000b)
#define NT_STATUS_FVE_NOT_DATA_VOLUME NT_STATUS(0xc021000c)
#define NT_STATUS_FVE_CONV_READ_ERROR NT_STATUS(0xc021000d)
#define NT_STATUS_FVE_CONV_WRITE_ERROR NT_STATUS(0xc021000e)
#define NT_STATUS_FVE_OVERLAPPED_UPDATE NT_STATUS(0xc021000f)
#define NT_STATUS_FVE_FAILED_SECTOR_SIZE NT_STATUS(0xc0210010)
#define NT_STATUS_FVE_FAILED_AUTHENTICATION NT_STATUS(0xc0210011)
#define NT_STATUS_FVE_NOT_OS_VOLUME NT_STATUS(0xc0210012)
#define NT_STATUS_FVE_KEYFILE_NOT_FOUND NT_STATUS(0xc0210013)
#define NT_STATUS_FVE_KEYFILE_INVALID NT_STATUS(0xc0210014)
#define NT_STATUS_FVE_KEYFILE_NO_VMK NT_STATUS(0xc0210015)
#define NT_STATUS_FVE_TPM_DISABLED NT_STATUS(0xc0210016)
#define NT_STATUS_FVE_TPM_SRK_AUTH_NOT_ZERO NT_STATUS(0xc0210017)
#define NT_STATUS_FVE_TPM_INVALID_PCR NT_STATUS(0xc0210018)
#define NT_STATUS_FVE_TPM_NO_VMK NT_STATUS(0xc0210019)
#define NT_STATUS_FVE_PIN_INVALID NT_STATUS(0xc021001a)
#define NT_STATUS_FVE_AUTH_INVALID_APPLICATION NT_STATUS(0xc021001b)
#define NT_STATUS_FVE_AUTH_INVALID_CONFIG NT_STATUS(0xc021001c)
#define NT_STATUS_FVE_DEBUGGER_ENABLED NT_STATUS(0xc021001d)
#define NT_STATUS_FVE_DRY_RUN_FAILED NT_STATUS(0xc021001e)
#define NT_STATUS_FVE_BAD_METADATA_POINTER NT_STATUS(0xc021001f)
#define NT_STATUS_FVE_OLD_METADATA_COPY NT_STATUS(0xc0210020)
#define NT_STATUS_FVE_REBOOT_REQUIRED NT_STATUS(0xc0210021)
#define NT_STATUS_FVE_RAW_ACCESS NT_STATUS(0xc0210022)
#define NT_STATUS_FVE_RAW_BLOCKED NT_STATUS(0xc0210023)
#define NT_STATUS_FVE_NO_FEATURE_LICENSE NT_STATUS(0xc0210026)
#define NT_STATUS_FVE_POLICY_USER_DISABLE_RDV_NOT_ALLOWED NT_STATUS(0xc0210027)
#define NT_STATUS_FVE_CONV_RECOVERY_FAILED NT_STATUS(0xc0210028)
#define NT_STATUS_FVE_VIRTUALIZED_SPACE_TOO_BIG NT_STATUS(0xc0210029)
#define NT_STATUS_FVE_VOLUME_TOO_SMALL NT_STATUS(0xc0210030)
#define NT_STATUS_FWP_CALLOUT_NOT_FOUND NT_STATUS(0xc0220001)
#define NT_STATUS_FWP_CONDITION_NOT_FOUND NT_STATUS(0xc0220002)
#define NT_STATUS_FWP_FILTER_NOT_FOUND NT_STATUS(0xc0220003)
#define NT_STATUS_FWP_LAYER_NOT_FOUND NT_STATUS(0xc0220004)
#define NT_STATUS_FWP_PROVIDER_NOT_FOUND NT_STATUS(0xc0220005)
#define NT_STATUS_FWP_PROVIDER_CONTEXT_NOT_FOUND NT_STATUS(0xc0220006)
#define NT_STATUS_FWP_SUBLAYER_NOT_FOUND NT_STATUS(0xc0220007)
#define NT_STATUS_FWP_NOT_FOUND NT_STATUS(0xc0220008)
#define NT_STATUS_FWP_ALREADY_EXISTS NT_STATUS(0xc0220009)
#define NT_STATUS_FWP_IN_USE NT_STATUS(0xc022000a)
#define NT_STATUS_FWP_DYNAMIC_SESSION_IN_PROGRESS NT_STATUS(0xc022000b)
#define NT_STATUS_FWP_WRONG_SESSION NT_STATUS(0xc022000c)
#define NT_STATUS_FWP_NO_TXN_IN_PROGRESS NT_STATUS(0xc022000d)
#define NT_STATUS_FWP_TXN_IN_PROGRESS NT_STATUS(0xc022000e)
#define NT_STATUS_FWP_TXN_ABORTED NT_STATUS(0xc022000f)
#define NT_STATUS_FWP_SESSION_ABORTED NT_STATUS(0xc0220010)
#define NT_STATUS_FWP_INCOMPATIBLE_TXN NT_STATUS(0xc0220011)
#define NT_STATUS_FWP_TIMEOUT NT_STATUS(0xc0220012)
#define NT_STATUS_FWP_NET_EVENTS_DISABLED NT_STATUS(0xc0220013)
#define NT_STATUS_FWP_INCOMPATIBLE_LAYER NT_STATUS(0xc0220014)
#define NT_STATUS_FWP_KM_CLIENTS_ONLY NT_STATUS(0xc0220015)
#define NT_STATUS_FWP_LIFETIME_MISMATCH NT_STATUS(0xc0220016)
#define NT_STATUS_FWP_BUILTIN_OBJECT NT_STATUS(0xc0220017)
#define NT_STATUS_FWP_TOO_MANY_BOOTTIME_FILTERS NT_STATUS(0xc0220018)
#define NT_STATUS_FWP_TOO_MANY_CALLOUTS NT_STATUS(0xc0220018)
#define NT_STATUS_FWP_NOTIFICATION_DROPPED NT_STATUS(0xc0220019)
#define NT_STATUS_FWP_TRAFFIC_MISMATCH NT_STATUS(0xc022001a)
#define NT_STATUS_FWP_INCOMPATIBLE_SA_STATE NT_STATUS(0xc022001b)
#define NT_STATUS_FWP_NULL_POINTER NT_STATUS(0xc022001c)
#define NT_STATUS_FWP_INVALID_ENUMERATOR NT_STATUS(0xc022001d)
#define NT_STATUS_FWP_INVALID_FLAGS NT_STATUS(0xc022001e)
#define NT_STATUS_FWP_INVALID_NET_MASK NT_STATUS(0xc022001f)
#define NT_STATUS_FWP_INVALID_RANGE NT_STATUS(0xc0220020)
#define NT_STATUS_FWP_INVALID_INTERVAL NT_STATUS(0xc0220021)
#define NT_STATUS_FWP_ZERO_LENGTH_ARRAY NT_STATUS(0xc0220022)
#define NT_STATUS_FWP_NULL_DISPLAY_NAME NT_STATUS(0xc0220023)
#define NT_STATUS_FWP_INVALID_ACTION_TYPE NT_STATUS(0xc0220024)
#define NT_STATUS_FWP_INVALID_WEIGHT NT_STATUS(0xc0220025)
#define NT_STATUS_FWP_MATCH_TYPE_MISMATCH NT_STATUS(0xc0220026)
#define NT_STATUS_FWP_TYPE_MISMATCH NT_STATUS(0xc0220027)
#define NT_STATUS_FWP_OUT_OF_BOUNDS NT_STATUS(0xc0220028)
#define NT_STATUS_FWP_RESERVED NT_STATUS(0xc0220029)
#define NT_STATUS_FWP_DUPLICATE_CONDITION NT_STATUS(0xc022002a)
#define NT_STATUS_FWP_DUPLICATE_KEYMOD NT_STATUS(0xc022002b)
#define NT_STATUS_FWP_ACTION_INCOMPATIBLE_WITH_LAYER NT_STATUS(0xc022002c)
#define NT_STATUS_FWP_ACTION_INCOMPATIBLE_WITH_SUBLAYER NT_STATUS(0xc022002d)
#define NT_STATUS_FWP_CONTEXT_INCOMPATIBLE_WITH_LAYER NT_STATUS(0xc022002e)
#define NT_STATUS_FWP_CONTEXT_INCOMPATIBLE_WITH_CALLOUT NT_STATUS(0xc022002f)
#define NT_STATUS_FWP_INCOMPATIBLE_AUTH_METHOD NT_STATUS(0xc0220030)
#define NT_STATUS_FWP_INCOMPATIBLE_DH_GROUP NT_STATUS(0xc0220031)
#define NT_STATUS_FWP_EM_NOT_SUPPORTED NT_STATUS(0xc0220032)
#define NT_STATUS_FWP_NEVER_MATCH NT_STATUS(0xc0220033)
#define NT_STATUS_FWP_PROVIDER_CONTEXT_MISMATCH NT_STATUS(0xc0220034)
#define NT_STATUS_FWP_INVALID_PARAMETER NT_STATUS(0xc0220035)
#define NT_STATUS_FWP_TOO_MANY_SUBLAYERS NT_STATUS(0xc0220036)
#define NT_STATUS_FWP_CALLOUT_NOTIFICATION_FAILED NT_STATUS(0xc0220037)
#define NT_STATUS_FWP_INCOMPATIBLE_AUTH_CONFIG NT_STATUS(0xc0220038)
#define NT_STATUS_FWP_INCOMPATIBLE_CIPHER_CONFIG NT_STATUS(0xc0220039)
#define NT_STATUS_FWP_DUPLICATE_AUTH_METHOD NT_STATUS(0xc022003c)
#define NT_STATUS_FWP_TCPIP_NOT_READY NT_STATUS(0xc0220100)
#define NT_STATUS_FWP_INJECT_HANDLE_CLOSING NT_STATUS(0xc0220101)
#define NT_STATUS_FWP_INJECT_HANDLE_STALE NT_STATUS(0xc0220102)
#define NT_STATUS_FWP_CANNOT_PEND NT_STATUS(0xc0220103)
#define NT_STATUS_NDIS_CLOSING NT_STATUS(0xc0230002)
#define NT_STATUS_NDIS_BAD_VERSION NT_STATUS(0xc0230004)
#define NT_STATUS_NDIS_BAD_CHARACTERISTICS NT_STATUS(0xc0230005)
#define NT_STATUS_NDIS_ADAPTER_NOT_FOUND NT_STATUS(0xc0230006)
#define NT_STATUS_NDIS_OPEN_FAILED NT_STATUS(0xc0230007)
#define NT_STATUS_NDIS_DEVICE_FAILED NT_STATUS(0xc0230008)
#define NT_STATUS_NDIS_MULTICAST_FULL NT_STATUS(0xc0230009)
#define NT_STATUS_NDIS_MULTICAST_EXISTS NT_STATUS(0xc023000a)
#define NT_STATUS_NDIS_MULTICAST_NOT_FOUND NT_STATUS(0xc023000b)
#define NT_STATUS_NDIS_REQUEST_ABORTED NT_STATUS(0xc023000c)
#define NT_STATUS_NDIS_RESET_IN_PROGRESS NT_STATUS(0xc023000d)
#define NT_STATUS_NDIS_INVALID_PACKET NT_STATUS(0xc023000f)
#define NT_STATUS_NDIS_INVALID_DEVICE_REQUEST NT_STATUS(0xc0230010)
#define NT_STATUS_NDIS_ADAPTER_NOT_READY NT_STATUS(0xc0230011)
#define NT_STATUS_NDIS_INVALID_LENGTH NT_STATUS(0xc0230014)
#define NT_STATUS_NDIS_INVALID_DATA NT_STATUS(0xc0230015)
#define NT_STATUS_NDIS_BUFFER_TOO_SHORT NT_STATUS(0xc0230016)
#define NT_STATUS_NDIS_INVALID_OID NT_STATUS(0xc0230017)
#define NT_STATUS_NDIS_ADAPTER_REMOVED NT_STATUS(0xc0230018)
#define NT_STATUS_NDIS_UNSUPPORTED_MEDIA NT_STATUS(0xc0230019)
#define NT_STATUS_NDIS_GROUP_ADDRESS_IN_USE NT_STATUS(0xc023001a)
#define NT_STATUS_NDIS_FILE_NOT_FOUND NT_STATUS(0xc023001b)
#define NT_STATUS_NDIS_ERROR_READING_FILE NT_STATUS(0xc023001c)
#define NT_STATUS_NDIS_ALREADY_MAPPED NT_STATUS(0xc023001d)
#define NT_STATUS_NDIS_RESOURCE_CONFLICT NT_STATUS(0xc023001e)
#define NT_STATUS_NDIS_MEDIA_DISCONNECTED NT_STATUS(0xc023001f)
#define NT_STATUS_NDIS_INVALID_ADDRESS NT_STATUS(0xc0230022)
#define NT_STATUS_NDIS_PAUSED NT_STATUS(0xc023002a)
#define NT_STATUS_NDIS_INTERFACE_NOT_FOUND NT_STATUS(0xc023002b)
#define NT_STATUS_NDIS_UNSUPPORTED_REVISION NT_STATUS(0xc023002c)
#define NT_STATUS_NDIS_INVALID_PORT NT_STATUS(0xc023002d)
#define NT_STATUS_NDIS_INVALID_PORT_STATE NT_STATUS(0xc023002e)
#define NT_STATUS_NDIS_LOW_POWER_STATE NT_STATUS(0xc023002f)
#define NT_STATUS_NDIS_NOT_SUPPORTED NT_STATUS(0xc02300bb)
#define NT_STATUS_NDIS_OFFLOAD_POLICY NT_STATUS(0xc023100f)
#define NT_STATUS_NDIS_OFFLOAD_CONNECTION_REJECTED NT_STATUS(0xc0231012)
#define NT_STATUS_NDIS_OFFLOAD_PATH_REJECTED NT_STATUS(0xc0231013)
#define NT_STATUS_NDIS_DOT11_AUTO_CONFIG_ENABLED NT_STATUS(0xc0232000)
#define NT_STATUS_NDIS_DOT11_MEDIA_IN_USE NT_STATUS(0xc0232001)
#define NT_STATUS_NDIS_DOT11_POWER_STATE_INVALID NT_STATUS(0xc0232002)
#define NT_STATUS_NDIS_PM_WOL_PATTERN_LIST_FULL NT_STATUS(0xc0232003)
#define NT_STATUS_NDIS_PM_PROTOCOL_OFFLOAD_LIST_FULL NT_STATUS(0xc0232004)
#define NT_STATUS_IPSEC_BAD_SPI NT_STATUS(0xc0360001)
#define NT_STATUS_IPSEC_SA_LIFETIME_EXPIRED NT_STATUS(0xc0360002)
#define NT_STATUS_IPSEC_WRONG_SA NT_STATUS(0xc0360003)
#define NT_STATUS_IPSEC_REPLAY_CHECK_FAILED NT_STATUS(0xc0360004)
#define NT_STATUS_IPSEC_INVALID_PACKET NT_STATUS(0xc0360005)
#define NT_STATUS_IPSEC_INTEGRITY_CHECK_FAILED NT_STATUS(0xc0360006)
#define NT_STATUS_IPSEC_CLEAR_TEXT_DROP NT_STATUS(0xc0360007)
#define NT_STATUS_IPSEC_AUTH_FIREWALL_DROP NT_STATUS(0xc0360008)
#define NT_STATUS_IPSEC_THROTTLE_DROP NT_STATUS(0xc0360009)
#define NT_STATUS_IPSEC_DOSP_BLOCK NT_STATUS(0xc0368000)
#define NT_STATUS_IPSEC_DOSP_RECEIVED_MULTICAST NT_STATUS(0xc0368001)
#define NT_STATUS_IPSEC_DOSP_INVALID_PACKET NT_STATUS(0xc0368002)
#define NT_STATUS_IPSEC_DOSP_STATE_LOOKUP_FAILED NT_STATUS(0xc0368003)
#define NT_STATUS_IPSEC_DOSP_MAX_ENTRIES NT_STATUS(0xc0368004)
#define NT_STATUS_IPSEC_DOSP_KEYMOD_NOT_ALLOWED NT_STATUS(0xc0368005)
#define NT_STATUS_IPSEC_DOSP_MAX_PER_IP_RATELIMIT_QUEUES NT_STATUS(0xc0368006)
#define NT_STATUS_VOLMGR_MIRROR_NOT_SUPPORTED NT_STATUS(0xc038005b)
#define NT_STATUS_VOLMGR_RAID5_NOT_SUPPORTED NT_STATUS(0xc038005c)
#define NT_STATUS_VIRTDISK_PROVIDER_NOT_FOUND NT_STATUS(0xc03a0014)
#define NT_STATUS_VIRTDISK_NOT_VIRTUAL_DISK NT_STATUS(0xc03a0015)
#define NT_STATUS_VHD_PARENT_VHD_ACCESS_DENIED NT_STATUS(0xc03a0016)
#define NT_STATUS_VHD_CHILD_PARENT_SIZE_MISMATCH NT_STATUS(0xc03a0017)
#define NT_STATUS_VHD_DIFFERENCING_CHAIN_CYCLE_DETECTED NT_STATUS(0xc03a0018)
#define NT_STATUS_VHD_DIFFERENCING_CHAIN_ERROR_IN_PARENT NT_STATUS(0xc03a0019)

#endif /* _NTSTATUS_GEN_H */
